aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--UPDATING14
-rw-r--r--net-p2p/Makefile1
-rw-r--r--net-p2p/transmission-cli/Makefile62
-rw-r--r--net-p2p/transmission-cli/distinfo6
-rw-r--r--net-p2p/transmission-cli/files/patch-configure499
-rw-r--r--net-p2p/transmission-cli/files/transmission-cli-configure.ac397
-rw-r--r--net-p2p/transmission-cli/files/transmission-daemon-configure.ac398
-rw-r--r--net-p2p/transmission-cli/files/transmission-gtk2-configure.ac334
-rw-r--r--net-p2p/transmission-cli/files/transmission-web-configure.ac387
-rw-r--r--net-p2p/transmission-cli/pkg-descr12
-rw-r--r--net-p2p/transmission-cli/pkg-plist2
-rw-r--r--net-p2p/transmission-daemon/Makefile19
-rw-r--r--net-p2p/transmission-daemon/pkg-descr11
-rw-r--r--net-p2p/transmission-daemon/pkg-plist3
-rw-r--r--net-p2p/transmission-gtk2/Makefile22
-rw-r--r--net-p2p/transmission-gtk2/pkg-descr9
-rw-r--r--net-p2p/transmission-gtk2/pkg-plist9
-rw-r--r--net-p2p/transmission/Makefile62
-rw-r--r--net-p2p/transmission/distinfo3
-rw-r--r--net-p2p/transmission/files/patch-configure499
-rw-r--r--net-p2p/transmission/pkg-descr12
-rw-r--r--net-p2p/transmission/pkg-plist6
-rw-r--r--www/Makefile1
-rw-r--r--www/transmission-web/Makefile22
-rw-r--r--www/transmission-web/pkg-descr16
-rw-r--r--www/transmission-web/pkg-plist46
26 files changed, 1715 insertions, 1137 deletions
diff --git a/UPDATING b/UPDATING
index 602f93e907e5..e6309e96cb16 100644
--- a/UPDATING
+++ b/UPDATING
@@ -6,6 +6,20 @@ You should get into the habit of checking this file for changes each
time you update your ports collection, before attempting any port
upgrades.
+20080806:
+ AFFECTS: users of net-p2p/transmission
+ AUTHOR: mezz@FreeBSD.org
+
+ Update to 1.3x, the net-p2p/transmission now is a meta-port. It depends on
+ cli, daemon and gtk2. If you don't want that, uninstall transmission and
+ install net-p2p/transmission-cli.
+
+ portmaster -o net-p2p/transmission-cli net-p2p/transmission
+
+ or
+
+ portupgrade -o net-p2p/transmission-cli net-p2p/transmission
+
20080805:
AFFECTS: users of devel/qt4
AUTHOR: kde@FreeBSD.org
diff --git a/net-p2p/Makefile b/net-p2p/Makefile
index b08c39d285ef..ec4f464514b8 100644
--- a/net-p2p/Makefile
+++ b/net-p2p/Makefile
@@ -120,6 +120,7 @@
SUBDIR += torrentvolve
SUBDIR += trackerbt
SUBDIR += transmission
+ SUBDIR += transmission-cli
SUBDIR += transmission-daemon
SUBDIR += transmission-gtk2
SUBDIR += tribler
diff --git a/net-p2p/transmission-cli/Makefile b/net-p2p/transmission-cli/Makefile
index feb6fa9d9454..3186c8f822eb 100644
--- a/net-p2p/transmission-cli/Makefile
+++ b/net-p2p/transmission-cli/Makefile
@@ -6,55 +6,57 @@
#
PORTNAME= transmission
-PORTVERSION= 1.22
+PORTVERSION= 1.31
PORTREVISION?= 0
-CATEGORIES= net-p2p
+CATEGORIES?= net-p2p
MASTER_SITES= http://download.m0k.org/${PORTNAME}/files/
+PKGNAMESUFFIX?= -cli
-MAINTAINER= mezz@FreeBSD.org
-COMMENT?= A free BitTorrent client written from scratch in C
+MAINTAINER?= mezz@FreeBSD.org
+COMMENT?= A fast and lightweight CLI (command line) BitTorrent client
-LIB_DEPENDS= curl.4:${PORTSDIR}/ftp/curl
+SLAVEPORT?=
+.if ${SLAVEPORT}!="web"
+LIB_DEPENDS?= ${GEN_LIB_DEPENDS}
+
+# General dependencies
+GEN_LIB_DEPENDS=curl.4:${PORTSDIR}/ftp/curl
+GEN_RUN_DEPENDS=${LOCALBASE}/share/transmission/web/index.html:${PORTSDIR}/www/transmission-web
+
+USE_GNOME?= gnometarget pkgconfig
+USE_OPENSSL= yes
+
+MAN1?= transmissioncli.1
+.endif
USE_BZIP2= yes
USE_GMAKE= yes
-USE_GNOME?= gnometarget intlhack pkgconfig
-USE_GETTEXT= yes
-USE_OPENSSL= yes
+USE_AUTOTOOLS= autoconf:262:env
GNU_CONFIGURE= yes
-CONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include" \
- LDFLAGS="${LDFLAGS}"
-LDFLAGS= -L${LOCALBASE}/lib
-CONFIGURE_ARGS?=${GCONFIGURE} \
- --enable-cli \
- --disable-daemon \
- --disable-gtk
-# General configure
-GCONFIGURE= --disable-beos \
- --disable-darwin \
- --disable-wx
+DOCS= AUTHORS COPYING NEWS README
-DOCS= AUTHORS LICENSE NEWS README
-MAN1?= transmissioncli.1
+DOCSDIR= ${PREFIX}/share/doc/${PORTNAME}${PKGNAMESUFFIX}
+EXTRA_PATCHES= ${PATCHDIR}/${PORTNAME}${PKGNAMESUFFIX}-configure.ac
general-patch:
+ @${REINPLACE_CMD} -e 's|SUBDIRS = . sample.*|SUBDIRS = .|g' \
+ ${WRKSRC}/third-party/libevent/Makefile.*
+ @${FIND} ${WRKSRC} -name Makefile.* | ${XARGS} ${REINPLACE_CMD} -e \
+ 's|$$(OPENSSL_CFLAGS)||g ; s|$$(OPENSSL_LIBS)||g ; \
+ s|noinst_PROGRAMS = |noinst_PROGRAMS = #|g'
+
+post-patch: general-patch
+
+pre-configure:
+ @(cd ${WRKSRC} && ${SETENV} ${AUTOTOOLS_ENV} ${AUTORECONF} -W none)
@${REINPLACE_CMD} -e \
's|CFLAGS="-g -Wall.*"|CFLAGS="${CFLAGS} -Wall -W"|g ; \
s|CXXFLAGS="-g -Wall.*"|CXXFLAGS="${CXXFLAGS} -Wall -W"|g ; \
s|_pthread_flags=".*"|_pthread_flags="${PTHREAD_LIBS}"|g' \
${WRKSRC}/configure
- @${REINPLACE_CMD} -e 's|bin_PROGRAMS = benc2php.*|bin_PROGRAMS = |g' \
- ${WRKSRC}/libtransmission/Makefile.in
@${REINPLACE_CMD} -e 's|-lrt||g' \
${WRKSRC}/third-party/libevent/configure
- @${REINPLACE_CMD} -e 's|@SUBDIRS = . sample.*|@SUBDIRS = .|g' \
- ${WRKSRC}/third-party/libevent/Makefile.in
- @${FIND} ${WRKSRC} -name Makefile.in | ${XARGS} ${REINPLACE_CMD} -e \
- 's|$$(OPENSSL_CFLAGS)||g ; s|$$(OPENSSL_LIBS)||g ; \
- s|noinst_PROGRAMS = |noinst_PROGRAMS = #|g'
-
-post-patch: general-patch
general-install:
.ifndef (NOPORTDOCS)
diff --git a/net-p2p/transmission-cli/distinfo b/net-p2p/transmission-cli/distinfo
index 1bea3a7a3439..ad42c580412f 100644
--- a/net-p2p/transmission-cli/distinfo
+++ b/net-p2p/transmission-cli/distinfo
@@ -1,3 +1,3 @@
-MD5 (transmission-1.22.tar.bz2) = aa0a2db19b0f3dbfd75a0fb354d6c47d
-SHA256 (transmission-1.22.tar.bz2) = d4ba381b1113ba13732cb47eae2b2cbad87464deec7a90a6d49c29abd1c01f9a
-SIZE (transmission-1.22.tar.bz2) = 3987969
+MD5 (transmission-1.31.tar.bz2) = b21aef8c7ff26e645ff9b19e873318f9
+SHA256 (transmission-1.31.tar.bz2) = b2a30538a4cd8dfda06311f6bd8c378f62d3efbe580a11b716bd8ae31e1682ae
+SIZE (transmission-1.31.tar.bz2) = 4889093
diff --git a/net-p2p/transmission-cli/files/patch-configure b/net-p2p/transmission-cli/files/patch-configure
deleted file mode 100644
index 1217ecb36204..000000000000
--- a/net-p2p/transmission-cli/files/patch-configure
+++ /dev/null
@@ -1,499 +0,0 @@
---- configure.orig 2008-05-09 16:26:19.000000000 -0500
-+++ configure 2008-05-09 16:27:32.000000000 -0500
-@@ -885,8 +885,6 @@
- PTHREAD_LIBS
- PTHREAD_CFLAGS
- PKG_CONFIG
--OPENSSL_CFLAGS
--OPENSSL_LIBS
- LIBCURL_CFLAGS
- LIBCURL_LIBS
- subdirs
-@@ -985,8 +983,6 @@
- F77
- FFLAGS
- PKG_CONFIG
--OPENSSL_CFLAGS
--OPENSSL_LIBS
- LIBCURL_CFLAGS
- LIBCURL_LIBS
- GTK_CFLAGS
-@@ -1620,10 +1616,6 @@
- F77 Fortran 77 compiler command
- FFLAGS Fortran 77 compiler flags
- PKG_CONFIG path to pkg-config utility
-- OPENSSL_CFLAGS
-- C compiler flags for OPENSSL, overriding pkg-config
-- OPENSSL_LIBS
-- linker flags for OPENSSL, overriding pkg-config
- LIBCURL_CFLAGS
- C compiler flags for LIBCURL, overriding pkg-config
- LIBCURL_LIBS
-@@ -4542,7 +4534,7 @@
- ;;
- *-*-irix6*)
- # Find out which ABI we are using.
-- echo '#line 4545 "configure"' > conftest.$ac_ext
-+ echo '#line 4537 "configure"' > conftest.$ac_ext
- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
-@@ -7285,11 +7277,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:7288: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:7280: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:7292: \$? = $ac_status" >&5
-+ echo "$as_me:7284: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -7575,11 +7567,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:7578: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:7570: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:7582: \$? = $ac_status" >&5
-+ echo "$as_me:7574: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -7679,11 +7671,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:7682: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:7674: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>out/conftest.err)
- ac_status=$?
- cat out/conftest.err >&5
-- echo "$as_me:7686: \$? = $ac_status" >&5
-+ echo "$as_me:7678: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s out/conftest2.$ac_objext
- then
- # The compiler can only warn and ignore the option if not recognized
-@@ -10030,7 +10022,7 @@
- lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
- lt_status=$lt_dlunknown
- cat > conftest.$ac_ext <<EOF
--#line 10033 "configure"
-+#line 10025 "configure"
- #include "confdefs.h"
-
- #if HAVE_DLFCN_H
-@@ -10130,7 +10122,7 @@
- lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
- lt_status=$lt_dlunknown
- cat > conftest.$ac_ext <<EOF
--#line 10133 "configure"
-+#line 10125 "configure"
- #include "confdefs.h"
-
- #if HAVE_DLFCN_H
-@@ -12550,11 +12542,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:12553: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:12545: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:12557: \$? = $ac_status" >&5
-+ echo "$as_me:12549: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -12654,11 +12646,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:12657: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:12649: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>out/conftest.err)
- ac_status=$?
- cat out/conftest.err >&5
-- echo "$as_me:12661: \$? = $ac_status" >&5
-+ echo "$as_me:12653: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s out/conftest2.$ac_objext
- then
- # The compiler can only warn and ignore the option if not recognized
-@@ -14218,11 +14210,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:14221: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:14213: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:14225: \$? = $ac_status" >&5
-+ echo "$as_me:14217: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -14322,11 +14314,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:14325: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:14317: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>out/conftest.err)
- ac_status=$?
- cat out/conftest.err >&5
-- echo "$as_me:14329: \$? = $ac_status" >&5
-+ echo "$as_me:14321: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s out/conftest2.$ac_objext
- then
- # The compiler can only warn and ignore the option if not recognized
-@@ -16511,11 +16503,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:16514: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:16506: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:16518: \$? = $ac_status" >&5
-+ echo "$as_me:16510: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -16801,11 +16793,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:16804: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:16796: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:16808: \$? = $ac_status" >&5
-+ echo "$as_me:16800: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -16905,11 +16897,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:16908: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:16900: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>out/conftest.err)
- ac_status=$?
- cat out/conftest.err >&5
-- echo "$as_me:16912: \$? = $ac_status" >&5
-+ echo "$as_me:16904: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s out/conftest2.$ac_objext
- then
- # The compiler can only warn and ignore the option if not recognized
-@@ -22377,6 +22369,148 @@
- fi
-
-
-+{ echo "$as_me:$LINENO: checking for CRYPTO_new_ex_data in -lcrypto" >&5
-+echo $ECHO_N "checking for CRYPTO_new_ex_data in -lcrypto... $ECHO_C" >&6; }
-+if test "${ac_cv_lib_crypto_CRYPTO_new_ex_data+set}" = set; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+ ac_check_lib_save_LIBS=$LIBS
-+LIBS="-lcrypto $LIBS"
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+
-+/* Override any GCC internal prototype to avoid an error.
-+ Use char because int might match the return type of a GCC
-+ builtin and then its argument prototype would still apply. */
-+#ifdef __cplusplus
-+extern "C"
-+#endif
-+char CRYPTO_new_ex_data ();
-+int
-+main ()
-+{
-+return CRYPTO_new_ex_data ();
-+ ;
-+ return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext conftest$ac_exeext
-+if { (ac_try="$ac_link"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_link") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest$ac_exeext &&
-+ $as_test_x conftest$ac_exeext; then
-+ ac_cv_lib_crypto_CRYPTO_new_ex_data=yes
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ ac_cv_lib_crypto_CRYPTO_new_ex_data=no
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-+ conftest$ac_exeext conftest.$ac_ext
-+LIBS=$ac_check_lib_save_LIBS
-+fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_lib_crypto_CRYPTO_new_ex_data" >&5
-+echo "${ECHO_T}$ac_cv_lib_crypto_CRYPTO_new_ex_data" >&6; }
-+if test $ac_cv_lib_crypto_CRYPTO_new_ex_data = yes; then
-+ cat >>confdefs.h <<_ACEOF
-+#define HAVE_LIBCRYPTO 1
-+_ACEOF
-+
-+ LIBS="-lcrypto $LIBS"
-+
-+fi
-+
-+
-+{ echo "$as_me:$LINENO: checking for SSL_library_init in -lssl" >&5
-+echo $ECHO_N "checking for SSL_library_init in -lssl... $ECHO_C" >&6; }
-+if test "${ac_cv_lib_ssl_SSL_library_init+set}" = set; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+ ac_check_lib_save_LIBS=$LIBS
-+LIBS="-lssl $LIBS"
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+
-+/* Override any GCC internal prototype to avoid an error.
-+ Use char because int might match the return type of a GCC
-+ builtin and then its argument prototype would still apply. */
-+#ifdef __cplusplus
-+extern "C"
-+#endif
-+char SSL_library_init ();
-+int
-+main ()
-+{
-+return SSL_library_init ();
-+ ;
-+ return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext conftest$ac_exeext
-+if { (ac_try="$ac_link"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_link") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest$ac_exeext &&
-+ $as_test_x conftest$ac_exeext; then
-+ ac_cv_lib_ssl_SSL_library_init=yes
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ ac_cv_lib_ssl_SSL_library_init=no
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-+ conftest$ac_exeext conftest.$ac_ext
-+LIBS=$ac_check_lib_save_LIBS
-+fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_SSL_library_init" >&5
-+echo "${ECHO_T}$ac_cv_lib_ssl_SSL_library_init" >&6; }
-+if test $ac_cv_lib_ssl_SSL_library_init = yes; then
-+ cat >>confdefs.h <<_ACEOF
-+#define HAVE_LIBSSL 1
-+_ACEOF
-+
-+ LIBS="-lssl $LIBS"
-+
-+fi
-+
-+
-
- if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
- if test -n "$ac_tool_prefix"; then
-@@ -22498,117 +22632,6 @@
- fi
-
- pkg_failed=no
--{ echo "$as_me:$LINENO: checking for OPENSSL" >&5
--echo $ECHO_N "checking for OPENSSL... $ECHO_C" >&6; }
--
--if test -n "$PKG_CONFIG"; then
-- if test -n "$OPENSSL_CFLAGS"; then
-- pkg_cv_OPENSSL_CFLAGS="$OPENSSL_CFLAGS"
-- else
-- if test -n "$PKG_CONFIG" && \
-- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"openssl >= \$OPENSSL_MINIMUM\"") >&5
-- ($PKG_CONFIG --exists --print-errors "openssl >= $OPENSSL_MINIMUM") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; then
-- pkg_cv_OPENSSL_CFLAGS=`$PKG_CONFIG --cflags "openssl >= $OPENSSL_MINIMUM" 2>/dev/null`
--else
-- pkg_failed=yes
--fi
-- fi
--else
-- pkg_failed=untried
--fi
--if test -n "$PKG_CONFIG"; then
-- if test -n "$OPENSSL_LIBS"; then
-- pkg_cv_OPENSSL_LIBS="$OPENSSL_LIBS"
-- else
-- if test -n "$PKG_CONFIG" && \
-- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"openssl >= \$OPENSSL_MINIMUM\"") >&5
-- ($PKG_CONFIG --exists --print-errors "openssl >= $OPENSSL_MINIMUM") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; then
-- pkg_cv_OPENSSL_LIBS=`$PKG_CONFIG --libs "openssl >= $OPENSSL_MINIMUM" 2>/dev/null`
--else
-- pkg_failed=yes
--fi
-- fi
--else
-- pkg_failed=untried
--fi
--
--
--
--if test $pkg_failed = yes; then
--
--if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-- _pkg_short_errors_supported=yes
--else
-- _pkg_short_errors_supported=no
--fi
-- if test $_pkg_short_errors_supported = yes; then
-- OPENSSL_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "openssl >= $OPENSSL_MINIMUM"`
-- else
-- OPENSSL_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "openssl >= $OPENSSL_MINIMUM"`
-- fi
-- # Put the nasty error message in config.log where it belongs
-- echo "$OPENSSL_PKG_ERRORS" >&5
--
-- { { echo "$as_me:$LINENO: error: Package requirements (openssl >= $OPENSSL_MINIMUM) were not met:
--
--$OPENSSL_PKG_ERRORS
--
--Consider adjusting the PKG_CONFIG_PATH environment variable if you
--installed software in a non-standard prefix.
--
--Alternatively, you may set the environment variables OPENSSL_CFLAGS
--and OPENSSL_LIBS to avoid the need to call pkg-config.
--See the pkg-config man page for more details.
--" >&5
--echo "$as_me: error: Package requirements (openssl >= $OPENSSL_MINIMUM) were not met:
--
--$OPENSSL_PKG_ERRORS
--
--Consider adjusting the PKG_CONFIG_PATH environment variable if you
--installed software in a non-standard prefix.
--
--Alternatively, you may set the environment variables OPENSSL_CFLAGS
--and OPENSSL_LIBS to avoid the need to call pkg-config.
--See the pkg-config man page for more details.
--" >&2;}
-- { (exit 1); exit 1; }; }
--elif test $pkg_failed = untried; then
-- { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
--is in your PATH or set the PKG_CONFIG environment variable to the full
--path to pkg-config.
--
--Alternatively, you may set the environment variables OPENSSL_CFLAGS
--and OPENSSL_LIBS to avoid the need to call pkg-config.
--See the pkg-config man page for more details.
--
--To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
--See \`config.log' for more details." >&5
--echo "$as_me: error: The pkg-config script could not be found or is too old. Make sure it
--is in your PATH or set the PKG_CONFIG environment variable to the full
--path to pkg-config.
--
--Alternatively, you may set the environment variables OPENSSL_CFLAGS
--and OPENSSL_LIBS to avoid the need to call pkg-config.
--See the pkg-config man page for more details.
--
--To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- OPENSSL_CFLAGS=$pkg_cv_OPENSSL_CFLAGS
-- OPENSSL_LIBS=$pkg_cv_OPENSSL_LIBS
-- { echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6; }
-- :
--fi
--
--pkg_failed=no
- { echo "$as_me:$LINENO: checking for LIBCURL" >&5
- echo $ECHO_N "checking for LIBCURL... $ECHO_C" >&6; }
-
-@@ -27105,8 +27128,6 @@
- PTHREAD_LIBS!$PTHREAD_LIBS$ac_delim
- PTHREAD_CFLAGS!$PTHREAD_CFLAGS$ac_delim
- PKG_CONFIG!$PKG_CONFIG$ac_delim
--OPENSSL_CFLAGS!$OPENSSL_CFLAGS$ac_delim
--OPENSSL_LIBS!$OPENSSL_LIBS$ac_delim
- LIBCURL_CFLAGS!$LIBCURL_CFLAGS$ac_delim
- LIBCURL_LIBS!$LIBCURL_LIBS$ac_delim
- subdirs!$subdirs$ac_delim
-@@ -27183,6 +27204,8 @@
- BUILD_CLI_TRUE!$BUILD_CLI_TRUE$ac_delim
- BUILD_CLI_FALSE!$BUILD_CLI_FALSE$ac_delim
- BUILD_DARWIN_TRUE!$BUILD_DARWIN_TRUE$ac_delim
-+BUILD_DARWIN_FALSE!$BUILD_DARWIN_FALSE$ac_delim
-+BUILD_DAEMON_TRUE!$BUILD_DAEMON_TRUE$ac_delim
- _ACEOF
-
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
-@@ -27224,14 +27247,12 @@
- ac_delim='%!_!# '
- for ac_last_try in false false false false false :; do
- cat >conf$$subs.sed <<_ACEOF
--BUILD_DARWIN_FALSE!$BUILD_DARWIN_FALSE$ac_delim
--BUILD_DAEMON_TRUE!$BUILD_DAEMON_TRUE$ac_delim
- BUILD_DAEMON_FALSE!$BUILD_DAEMON_FALSE$ac_delim
- LIBOBJS!$LIBOBJS$ac_delim
- LTLIBOBJS!$LTLIBOBJS$ac_delim
- _ACEOF
-
-- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 5; then
-+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 3; then
- break
- elif $ac_last_try; then
- { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff --git a/net-p2p/transmission-cli/files/transmission-cli-configure.ac b/net-p2p/transmission-cli/files/transmission-cli-configure.ac
new file mode 100644
index 000000000000..1bae3d7628ee
--- /dev/null
+++ b/net-p2p/transmission-cli/files/transmission-cli-configure.ac
@@ -0,0 +1,397 @@
+--- configure.ac.orig 2008-07-13 22:42:28.000000000 -0500
++++ configure.ac 2008-07-14 01:47:22.000000000 -0500
+@@ -10,22 +10,8 @@
+ AM_INIT_AUTOMAKE([1.9 tar-ustar])
+ AC_PROG_LIBTOOL
+
+-OPENSSL_MINIMUM=0.9.4
+ CURL_MINIMUM=7.16.3
+-GIO_MINIMUM=2.15.5
+-GLIB_MINIMUM=2.6.0
+-GTK_MINIMUM=2.6.0
+-WX_MINIMUM=2.6.0
+-LIBNOTIFY_MINIMUM=0.4.4
+-DBUS_GLIB_MINIMUM=0.70
+-AC_SUBST(OPENSSL_MINIMUM)
+ AC_SUBST(CURL_MINIMUM)
+-AC_SUBST(GIO_MINIMUM)
+-AC_SUBST(GLIB_MINIMUM)
+-AC_SUBST(GTK_MINIMUM)
+-AC_SUBST(WX_MINIMUM)
+-AC_SUBST(LIBNOTIFY_MINIMUM)
+-AC_SUBST(DBUS_GLIB_MINIMUM)
+
+ AC_PROG_CC
+ AC_PROG_CXX
+@@ -44,7 +30,8 @@
+
+ AC_SEARCH_LIBS([socket], [socket net])
+ AC_SEARCH_LIBS([gethostbyname], [nsl bind])
+-PKG_CHECK_MODULES(OPENSSL, [openssl >= $OPENSSL_MINIMUM])
++AC_CHECK_LIB([crypto],[CRYPTO_new_ex_data])
++AC_CHECK_LIB([ssl],[SSL_library_init])
+ PKG_CHECK_MODULES(LIBCURL, [libcurl >= $CURL_MINIMUM])
+
+ AC_SYS_LARGEFILE
+@@ -76,237 +63,19 @@
+ AC_SUBST(LIBEVENT_CPPFLAGS)
+
+
+-dnl ----------------------------------------------------------------------------
+-dnl
+-dnl detection for the GTK+ client
+-
+-PKG_CHECK_MODULES(GTK,
+- [gtk+-2.0 >= $GTK_MINIMUM
+- glib-2.0 >= $GLIB_MINIMUM
+- gmodule-2.0 >= $GLIB_MINIMUM
+- gthread-2.0 >= $GLIB_MINIMUM],
+- [have_gtk=yes],
+- [have_gtk=no])
+-AC_ARG_ENABLE([gtk],
+- AC_HELP_STRING([--enable-gtk],[build gtk client]),
+- [want_gtk=${enableval}],
+- [want_gtk=${have_gtk}])
+-build_gtk=no
+-use_gio=no
+-use_libnotify=no
+-use_dbus_glib=no
+-if test "x$want_gtk" = "xyes" ; then
+- if test "x$have_gtk" = "xyes"; then
+- build_gtk=yes
+- else
+- AC_MSG_ERROR("GTK+ not found!")
+- fi
+-fi
+-AM_CONDITIONAL([BUILD_GTK],[test "x$build_gtk" = "xyes"])
+-AC_SUBST(GTK_LIBS)
+-AC_SUBST(GTK_CFLAGS)
+-
+-if test "x$build_gtk" = "xyes"; then
+-
+- PKG_CHECK_MODULES([GIO],
+- [gio-2.0 >= $GIO_MINIMUM],
+- [use_gio=yes],
+- [use_gio=no])
+- AC_SUBST(GIO_LIBS)
+- AC_SUBST(GIO_CFLAGS)
+- if test "x$use_gio" = "xyes"; then
+- AC_DEFINE([HAVE_GIO], 1)
+- fi
+-
+- PKG_CHECK_MODULES([LIBNOTIFY],
+- [libnotify >= $LIBNOTIFY_MINIMUM],
+- [have_libnotify=yes],
+- [have_libnotify=no])
+- AC_ARG_ENABLE([libnotify],
+- AS_HELP_STRING([--enable-libnotify],[enable notifications]),,
+- [enable_libnotify=yes])
+- use_libnotify=no
+- if test "x$enable_libnotify" = "xyes" ; then
+- if test "x$have_libnotify" = "xyes"; then
+- use_libnotify=yes
+- AC_SUBST(LIBNOTIFY_LIBS)
+- AC_SUBST(LIBNOTIFY_CFLAGS)
+- AC_DEFINE([HAVE_LIBNOTIFY], 1)
+- fi
+- fi
+-
+- PKG_CHECK_MODULES([DBUS_GLIB],
+- [dbus-glib-1 >= $DBUS_GLIB_MINIMUM],
+- [use_dbus_glib=yes],
+- [use_dbus_glib=no])
+- AC_SUBST(DBUS_GLIB_LIBS)
+- AC_SUBST(DBUS_GLIB_CFLAGS)
+- if test "x$use_dbus_glib" = "xyes"; then
+- AC_DEFINE([HAVE_DBUS_GLIB], 1)
+- fi
+-fi
+-
+-AC_CHECK_HEADERS([libintl.h])
+-IT_PROG_INTLTOOL([0.23],[no-xml])
+-GETTEXT_PACKAGE=transmission
+-AC_SUBST(GETTEXT_PACKAGE)
+-AC_DEFINE_UNQUOTED([GETTEXT_PACKAGE],["$GETTEXT_PACKAGE"],[Gettext package])
+-AM_GLIB_GNU_GETTEXT
+-transmissionlocaledir='${prefix}/${DATADIRNAME}/locale'
+-AC_SUBST(transmissionlocaledir)
+-
+-
+-dnl ----------------------------------------------------------------------------
+-dnl
+-dnl wxWidgets detection for the wxWidgets client
+-
+-AM_OPTIONS_WXCONFIG
+-AM_PATH_WXCONFIG($WX_MINIMUM,[have_wx=yes],[have_wx=no])
+-AC_ARG_ENABLE([wx],
+- AC_HELP_STRING([--enable-wx],[build wxWidgets client]),
+- [want_wx=${enableval}],
+- [want_wx=no])
+-build_wx=no
+-if test "x$want_wx" = "xyes" ; then
+- if test "x$have_wx" = "xyes"; then
+- build_wx=yes
+- else
+- AC_MSG_ERROR("wxWidgets not found!")
+- fi
+-fi
+-AM_CONDITIONAL([BUILD_WX],[test "x$build_wx" = "xyes"])
+-
+-
+-
+-dnl ----------------------------------------------------------------------------
+-dnl
+-dnl platform-specific stuff.
+-
+-AC_CANONICAL_HOST
+-have_beos="no"
+-have_darwin="no"
+-have_msw="no"
+-case $host_os in
+-
+- *cygwin|*mingw32*)
+- have_msw="yes"
+- CXXFLAGS="$CXXFLAGS -mms-bitfields -mwin32 -mwindows"
+- CPPFLAGS="$CPPFLAGS -DWIN32 -DWIN32_LEAN_AND_MEAN"
+- LIBS="$LIBS -lshell32 -lws2_32"
+- transmissionlocaledir="locale"
+- if test -z "$host_alias"; then
+- hostaliaswindres=
+- else
+- hostaliaswindres="$host_alias-windres";
+- fi
+- AC_PATH_PROGS([WINDRES], [windres $hostaliaswindres $host_os-windres])
+- if test "x$WINDRES" = "x"; then
+- AC_MSG_ERROR([windres could not be found within your path.])
+- fi
+- AC_SUBST(WINDRES)
+- ;;
+-
+- *beos*)
+- have_beos="yes"
+- RELEASE=`uname -r`
+- case $RELEASE in
+- 6.*|5.0.4) # Zeta or R5 / BONE beta 7
+- ;;
+- 5.0*) # R5 / net_server
+- CPPFLAGS="$CPPFLAGS -DBEOS_NETSERVER"
+- ;;
+- *)
+- AC_MSG_ERROR("Unsupported BeOS version")
+- ;;
+- esac
+- GCCVER=`$CC -dumpversion`
+- case $GCCVER in
+- 2.95.3*|3*|4*)
+- ;;
+- 2.9*)
+- BEOS_OLDCC=yes
+- ;;
+- *)
+- AC_MSG_ERROR("Unsupported gcc version")
+- ;;
+- esac
+- ;;
+-
+- *darwin*)
+- have_darwin="yes"
+- # Make sure the Universal SDK is installed
+- if test ! -d /Developer/SDKs/MacOSX10.4u.sdk; then
+- cat << EOF
+-You need to install the Universal SDK in order to build Transmission:
+- Get your Xcode CD or package
+- Restart the install
+- When it gets to "Installation Type", select "Customize"
+- Select "Mac OS X 10.4 (Universal) SDK" under "Cross Development"
+- Finish the install.
+-EOF
+- exit 1
+- fi
+- ;;
+-
+-esac
+-
+-AC_ARG_ENABLE([beos],
+- [AC_HELP_STRING([--enable-beos],[build OS X client])],
+- [build_beos=${enableval}],
+- [build_beos=${have_beos}])
+-AM_CONDITIONAL([BUILD_BEOS],[test "x$build_beos" = "xyes"])
+-
+-AC_ARG_ENABLE([cli],
+- [AC_HELP_STRING([--enable-cli],[build command-line client])],
+- [build_cli=${enableval}],
+- [build_cli="yes"])
+-AM_CONDITIONAL([BUILD_CLI],[test "x$build_cli" = "xyes"])
+-
+-AC_ARG_ENABLE([darwin],
+- [AC_HELP_STRING([--enable-darwin],[build OS X client])],
+- [build_darwin=${enableval}],
+- [build_darwin=${have_darwin}])
+-AM_CONDITIONAL([BUILD_DARWIN],[test "x$build_darwin" = "xyes"])
+-
+-AC_ARG_ENABLE([daemon],
+- [AC_HELP_STRING([--enable-daemon],[build daemon])],
+- [build_daemon=${enableval}],
+- [build_daemon="yes"])
+-AM_CONDITIONAL([BUILD_DAEMON],[test "x$build_daemon" = "xyes"])
+-
+-
+-if test "x$have_beos" = "xyes"; then
+- AC_DEFINE([HAVE_BEOS], 1)
+-fi
+-if test "x$have_darwin" = "xyes"; then
+- AC_DEFINE([HAVE_DARWIN], 1)
+-fi
+-if test "x$have_msw" = "xyes"; then
+- AC_DEFINE([HAVE_MSW], 1)
+-fi
+-
++build_cli="yes"
+
+ dnl ----------------------------------------------------------------------------
+ dnl
+ dnl Generate the output
+
+ AC_CONFIG_FILES([Makefile
+- transmission.spec
+- beos/Makefile
+ cli/Makefile
+- daemon/Makefile
+- doc/Makefile
+ libtransmission/Makefile
+ third-party/Makefile
+ third-party/miniupnp/Makefile
+ third-party/libnatpmp/Makefile
+- third-party/shttpd/Makefile
+- macosx/Makefile
+- wx/Makefile
+- wx/images/Makefile
+- gtk/Makefile
+- gtk/icons/Makefile
+- po/Makefile.in])
++ third-party/shttpd/Makefile])
+
+ ac_configure_args="$ac_configure_args --enable-static --disable-shared -q"
+ AC_OUTPUT
+@@ -318,13 +87,5 @@
+ Source code location: ${srcdir}
+ Compiler: ${CXX}
+ Build Command-Line client: ${build_cli}
+- Build Daemon: ${build_daemon}
+- Build BeOS client: ${build_beos}
+- Build GTK+ client: ${build_gtk}
+- ... gio support: ${use_gio}
+- ... dbus-glib support: ${use_dbus_glib}
+- ... libnotify support: ${use_libnotify}
+- Build OS X client: ${build_darwin}
+- Build wxWidgets client: ${build_wx}
+
+ "
+--- Makefile.am.orig 2008-07-14 14:03:14.000000000 -0500
++++ Makefile.am 2008-07-14 14:07:06.000000000 -0500
+@@ -1,104 +1,6 @@
+ ACLOCAL_AMFLAGS = -I m4
+
+-if BUILD_BEOS
+- BEOS_DIR = beos
+-endif
+-if BUILD_CLI
+- CLI_DIR = cli
+-endif
+-if BUILD_DAEMON
+- DAEMON_DIR = daemon
+-endif
+-if BUILD_DARWIN
+- MAC_DIR = macosx
+-endif
+-if BUILD_GTK
+- GTK_DIR = gtk po
+-endif
+-if BUILD_WX
+- WX_DIR = wx
+-endif
+-
+ SUBDIRS = \
+- doc \
+ third-party \
+ libtransmission \
+- $(DAEMON_DIR) \
+- $(CLI_DIR) \
+- $(BEOS_DIR) \
+- $(GTK_DIR) \
+- $(MAC_DIR) \
+- $(WX_DIR)
+-
+-EXTRA_DIST = \
+- web \
+- NEWS \
+- AUTHORS \
+- COPYING \
+- README \
+- Transmission.xcodeproj/project.pbxproj \
+- intltool-extract.in \
+- intltool-merge.in \
+- intltool-update.in
+-
+-clutchdir = $(datadir)/transmission/web
+-clutch_DATA = \
+- web/index.html \
+- web/LICENSE
+-
+-clutch_cssdir = $(clutchdir)/stylesheets
+-clutch_css_DATA = \
+- web/stylesheets/iphone.css \
+- web/stylesheets/common.css
+-
+-clutch_jsdir = $(clutchdir)/javascript
+-clutch_js_DATA = \
+- web/javascript/menu.js \
+- web/javascript/dialog.js \
+- web/javascript/transmission.js \
+- web/javascript/transmission.remote.js \
+- web/javascript/common.js \
+- web/javascript/torrent.js
+-
+-clutch_jquerydir = $(clutch_jsdir)/jquery
+-clutch_jquery_DATA = \
+- web/javascript/jquery \
+- web/javascript/jquery/json.min.js \
+- web/javascript/jquery/jquery.contextmenu.min.js \
+- web/javascript/jquery/jquery.min.js \
+- web/javascript/jquery/jquery.form.min.js \
+- web/javascript/jquery/jquery.transmenu.min.js \
+- web/javascript/jquery/jquery-dimensions.min.js
+-
+-clutch_imagesdir = $(clutchdir)/images
+-clutch_images_DATA = \
+- web/images/favicon.ico \
+- web/images/webclip-icon.png
+-
+-clutch_graphicsdir = $(clutch_imagesdir)/graphics
+-clutch_graphics_DATA = \
+- web/images/graphics/browser_firefox.gif \
+- web/images/graphics/logo.png \
+- web/images/graphics/chrome.png \
+- web/images/graphics/iphone_chrome.png \
+- web/images/graphics/browser_opera.gif \
+- web/images/graphics/filter_bar.png \
+- web/images/graphics/transfer_arrows.png \
+- web/images/graphics/browser_safari.gif
+-
+-clutch_progressdir = $(clutch_imagesdir)/progress
+-clutch_progress_DATA = \
+- web/images/progress/progress.png
+-
+-clutch_buttonsdir = $(clutch_imagesdir)/buttons
+-clutch_buttons_DATA = \
+- web/images/buttons/tab_backgrounds.png \
+- web/images/buttons/toolbar_buttons.png \
+- web/images/buttons/info_general.png \
+- web/images/buttons/torrent_buttons.png \
+- web/images/buttons/info_activity.png
+-
+-DISTCLEANFILES = \
+- intltool-extract \
+- intltool-merge \
+- intltool-update
++ cli
diff --git a/net-p2p/transmission-cli/files/transmission-daemon-configure.ac b/net-p2p/transmission-cli/files/transmission-daemon-configure.ac
new file mode 100644
index 000000000000..1eaf0d44b4e6
--- /dev/null
+++ b/net-p2p/transmission-cli/files/transmission-daemon-configure.ac
@@ -0,0 +1,398 @@
+--- configure.ac.orig 2008-07-14 14:13:26.000000000 -0500
++++ configure.ac 2008-07-14 14:17:17.000000000 -0500
+@@ -10,22 +10,8 @@
+ AM_INIT_AUTOMAKE([1.9 tar-ustar])
+ AC_PROG_LIBTOOL
+
+-OPENSSL_MINIMUM=0.9.4
+ CURL_MINIMUM=7.16.3
+-GIO_MINIMUM=2.15.5
+-GLIB_MINIMUM=2.6.0
+-GTK_MINIMUM=2.6.0
+-WX_MINIMUM=2.6.0
+-LIBNOTIFY_MINIMUM=0.4.4
+-DBUS_GLIB_MINIMUM=0.70
+-AC_SUBST(OPENSSL_MINIMUM)
+ AC_SUBST(CURL_MINIMUM)
+-AC_SUBST(GIO_MINIMUM)
+-AC_SUBST(GLIB_MINIMUM)
+-AC_SUBST(GTK_MINIMUM)
+-AC_SUBST(WX_MINIMUM)
+-AC_SUBST(LIBNOTIFY_MINIMUM)
+-AC_SUBST(DBUS_GLIB_MINIMUM)
+
+ AC_PROG_CC
+ AC_PROG_CXX
+@@ -44,7 +30,8 @@
+
+ AC_SEARCH_LIBS([socket], [socket net])
+ AC_SEARCH_LIBS([gethostbyname], [nsl bind])
+-PKG_CHECK_MODULES(OPENSSL, [openssl >= $OPENSSL_MINIMUM])
++AC_CHECK_LIB([crypto],[CRYPTO_new_ex_data])
++AC_CHECK_LIB([ssl],[SSL_library_init])
+ PKG_CHECK_MODULES(LIBCURL, [libcurl >= $CURL_MINIMUM])
+
+ AC_SYS_LARGEFILE
+@@ -76,237 +63,19 @@
+ AC_SUBST(LIBEVENT_CPPFLAGS)
+
+
+-dnl ----------------------------------------------------------------------------
+-dnl
+-dnl detection for the GTK+ client
+-
+-PKG_CHECK_MODULES(GTK,
+- [gtk+-2.0 >= $GTK_MINIMUM
+- glib-2.0 >= $GLIB_MINIMUM
+- gmodule-2.0 >= $GLIB_MINIMUM
+- gthread-2.0 >= $GLIB_MINIMUM],
+- [have_gtk=yes],
+- [have_gtk=no])
+-AC_ARG_ENABLE([gtk],
+- AC_HELP_STRING([--enable-gtk],[build gtk client]),
+- [want_gtk=${enableval}],
+- [want_gtk=${have_gtk}])
+-build_gtk=no
+-use_gio=no
+-use_libnotify=no
+-use_dbus_glib=no
+-if test "x$want_gtk" = "xyes" ; then
+- if test "x$have_gtk" = "xyes"; then
+- build_gtk=yes
+- else
+- AC_MSG_ERROR("GTK+ not found!")
+- fi
+-fi
+-AM_CONDITIONAL([BUILD_GTK],[test "x$build_gtk" = "xyes"])
+-AC_SUBST(GTK_LIBS)
+-AC_SUBST(GTK_CFLAGS)
+-
+-if test "x$build_gtk" = "xyes"; then
+-
+- PKG_CHECK_MODULES([GIO],
+- [gio-2.0 >= $GIO_MINIMUM],
+- [use_gio=yes],
+- [use_gio=no])
+- AC_SUBST(GIO_LIBS)
+- AC_SUBST(GIO_CFLAGS)
+- if test "x$use_gio" = "xyes"; then
+- AC_DEFINE([HAVE_GIO], 1)
+- fi
+-
+- PKG_CHECK_MODULES([LIBNOTIFY],
+- [libnotify >= $LIBNOTIFY_MINIMUM],
+- [have_libnotify=yes],
+- [have_libnotify=no])
+- AC_ARG_ENABLE([libnotify],
+- AS_HELP_STRING([--enable-libnotify],[enable notifications]),,
+- [enable_libnotify=yes])
+- use_libnotify=no
+- if test "x$enable_libnotify" = "xyes" ; then
+- if test "x$have_libnotify" = "xyes"; then
+- use_libnotify=yes
+- AC_SUBST(LIBNOTIFY_LIBS)
+- AC_SUBST(LIBNOTIFY_CFLAGS)
+- AC_DEFINE([HAVE_LIBNOTIFY], 1)
+- fi
+- fi
+-
+- PKG_CHECK_MODULES([DBUS_GLIB],
+- [dbus-glib-1 >= $DBUS_GLIB_MINIMUM],
+- [use_dbus_glib=yes],
+- [use_dbus_glib=no])
+- AC_SUBST(DBUS_GLIB_LIBS)
+- AC_SUBST(DBUS_GLIB_CFLAGS)
+- if test "x$use_dbus_glib" = "xyes"; then
+- AC_DEFINE([HAVE_DBUS_GLIB], 1)
+- fi
+-fi
+-
+-AC_CHECK_HEADERS([libintl.h])
+-IT_PROG_INTLTOOL([0.23],[no-xml])
+-GETTEXT_PACKAGE=transmission
+-AC_SUBST(GETTEXT_PACKAGE)
+-AC_DEFINE_UNQUOTED([GETTEXT_PACKAGE],["$GETTEXT_PACKAGE"],[Gettext package])
+-AM_GLIB_GNU_GETTEXT
+-transmissionlocaledir='${prefix}/${DATADIRNAME}/locale'
+-AC_SUBST(transmissionlocaledir)
+-
+-
+-dnl ----------------------------------------------------------------------------
+-dnl
+-dnl wxWidgets detection for the wxWidgets client
+-
+-AM_OPTIONS_WXCONFIG
+-AM_PATH_WXCONFIG($WX_MINIMUM,[have_wx=yes],[have_wx=no])
+-AC_ARG_ENABLE([wx],
+- AC_HELP_STRING([--enable-wx],[build wxWidgets client]),
+- [want_wx=${enableval}],
+- [want_wx=no])
+-build_wx=no
+-if test "x$want_wx" = "xyes" ; then
+- if test "x$have_wx" = "xyes"; then
+- build_wx=yes
+- else
+- AC_MSG_ERROR("wxWidgets not found!")
+- fi
+-fi
+-AM_CONDITIONAL([BUILD_WX],[test "x$build_wx" = "xyes"])
+-
+-
+-
+-dnl ----------------------------------------------------------------------------
+-dnl
+-dnl platform-specific stuff.
+-
+-AC_CANONICAL_HOST
+-have_beos="no"
+-have_darwin="no"
+-have_msw="no"
+-case $host_os in
+-
+- *cygwin|*mingw32*)
+- have_msw="yes"
+- CXXFLAGS="$CXXFLAGS -mms-bitfields -mwin32 -mwindows"
+- CPPFLAGS="$CPPFLAGS -DWIN32 -DWIN32_LEAN_AND_MEAN"
+- LIBS="$LIBS -lshell32 -lws2_32"
+- transmissionlocaledir="locale"
+- if test -z "$host_alias"; then
+- hostaliaswindres=
+- else
+- hostaliaswindres="$host_alias-windres";
+- fi
+- AC_PATH_PROGS([WINDRES], [windres $hostaliaswindres $host_os-windres])
+- if test "x$WINDRES" = "x"; then
+- AC_MSG_ERROR([windres could not be found within your path.])
+- fi
+- AC_SUBST(WINDRES)
+- ;;
+-
+- *beos*)
+- have_beos="yes"
+- RELEASE=`uname -r`
+- case $RELEASE in
+- 6.*|5.0.4) # Zeta or R5 / BONE beta 7
+- ;;
+- 5.0*) # R5 / net_server
+- CPPFLAGS="$CPPFLAGS -DBEOS_NETSERVER"
+- ;;
+- *)
+- AC_MSG_ERROR("Unsupported BeOS version")
+- ;;
+- esac
+- GCCVER=`$CC -dumpversion`
+- case $GCCVER in
+- 2.95.3*|3*|4*)
+- ;;
+- 2.9*)
+- BEOS_OLDCC=yes
+- ;;
+- *)
+- AC_MSG_ERROR("Unsupported gcc version")
+- ;;
+- esac
+- ;;
+-
+- *darwin*)
+- have_darwin="yes"
+- # Make sure the Universal SDK is installed
+- if test ! -d /Developer/SDKs/MacOSX10.4u.sdk; then
+- cat << EOF
+-You need to install the Universal SDK in order to build Transmission:
+- Get your Xcode CD or package
+- Restart the install
+- When it gets to "Installation Type", select "Customize"
+- Select "Mac OS X 10.4 (Universal) SDK" under "Cross Development"
+- Finish the install.
+-EOF
+- exit 1
+- fi
+- ;;
+-
+-esac
+-
+-AC_ARG_ENABLE([beos],
+- [AC_HELP_STRING([--enable-beos],[build OS X client])],
+- [build_beos=${enableval}],
+- [build_beos=${have_beos}])
+-AM_CONDITIONAL([BUILD_BEOS],[test "x$build_beos" = "xyes"])
+-
+-AC_ARG_ENABLE([cli],
+- [AC_HELP_STRING([--enable-cli],[build command-line client])],
+- [build_cli=${enableval}],
+- [build_cli="yes"])
+-AM_CONDITIONAL([BUILD_CLI],[test "x$build_cli" = "xyes"])
+-
+-AC_ARG_ENABLE([darwin],
+- [AC_HELP_STRING([--enable-darwin],[build OS X client])],
+- [build_darwin=${enableval}],
+- [build_darwin=${have_darwin}])
+-AM_CONDITIONAL([BUILD_DARWIN],[test "x$build_darwin" = "xyes"])
+-
+-AC_ARG_ENABLE([daemon],
+- [AC_HELP_STRING([--enable-daemon],[build daemon])],
+- [build_daemon=${enableval}],
+- [build_daemon="yes"])
+-AM_CONDITIONAL([BUILD_DAEMON],[test "x$build_daemon" = "xyes"])
+-
+-
+-if test "x$have_beos" = "xyes"; then
+- AC_DEFINE([HAVE_BEOS], 1)
+-fi
+-if test "x$have_darwin" = "xyes"; then
+- AC_DEFINE([HAVE_DARWIN], 1)
+-fi
+-if test "x$have_msw" = "xyes"; then
+- AC_DEFINE([HAVE_MSW], 1)
+-fi
+-
++build_daemon="yes"
+
+ dnl ----------------------------------------------------------------------------
+ dnl
+ dnl Generate the output
+
+ AC_CONFIG_FILES([Makefile
+- transmission.spec
+- beos/Makefile
+- cli/Makefile
+ daemon/Makefile
+- doc/Makefile
+ libtransmission/Makefile
+ third-party/Makefile
+ third-party/miniupnp/Makefile
+ third-party/libnatpmp/Makefile
+- third-party/shttpd/Makefile
+- macosx/Makefile
+- wx/Makefile
+- wx/images/Makefile
+- gtk/Makefile
+- gtk/icons/Makefile
+- po/Makefile.in])
++ third-party/shttpd/Makefile])
+
+ ac_configure_args="$ac_configure_args --enable-static --disable-shared -q"
+ AC_OUTPUT
+@@ -317,14 +86,6 @@
+
+ Source code location: ${srcdir}
+ Compiler: ${CXX}
+- Build Command-Line client: ${build_cli}
+ Build Daemon: ${build_daemon}
+- Build BeOS client: ${build_beos}
+- Build GTK+ client: ${build_gtk}
+- ... gio support: ${use_gio}
+- ... dbus-glib support: ${use_dbus_glib}
+- ... libnotify support: ${use_libnotify}
+- Build OS X client: ${build_darwin}
+- Build wxWidgets client: ${build_wx}
+
+ "
+--- Makefile.am.orig 2008-07-14 14:13:34.000000000 -0500
++++ Makefile.am 2008-07-14 14:17:56.000000000 -0500
+@@ -1,104 +1,6 @@
+ ACLOCAL_AMFLAGS = -I m4
+
+-if BUILD_BEOS
+- BEOS_DIR = beos
+-endif
+-if BUILD_CLI
+- CLI_DIR = cli
+-endif
+-if BUILD_DAEMON
+- DAEMON_DIR = daemon
+-endif
+-if BUILD_DARWIN
+- MAC_DIR = macosx
+-endif
+-if BUILD_GTK
+- GTK_DIR = gtk po
+-endif
+-if BUILD_WX
+- WX_DIR = wx
+-endif
+-
+ SUBDIRS = \
+- doc \
+ third-party \
+ libtransmission \
+- $(DAEMON_DIR) \
+- $(CLI_DIR) \
+- $(BEOS_DIR) \
+- $(GTK_DIR) \
+- $(MAC_DIR) \
+- $(WX_DIR)
+-
+-EXTRA_DIST = \
+- web \
+- NEWS \
+- AUTHORS \
+- COPYING \
+- README \
+- Transmission.xcodeproj/project.pbxproj \
+- intltool-extract.in \
+- intltool-merge.in \
+- intltool-update.in
+-
+-clutchdir = $(datadir)/transmission/web
+-clutch_DATA = \
+- web/index.html \
+- web/LICENSE
+-
+-clutch_cssdir = $(clutchdir)/stylesheets
+-clutch_css_DATA = \
+- web/stylesheets/iphone.css \
+- web/stylesheets/common.css
+-
+-clutch_jsdir = $(clutchdir)/javascript
+-clutch_js_DATA = \
+- web/javascript/menu.js \
+- web/javascript/dialog.js \
+- web/javascript/transmission.js \
+- web/javascript/transmission.remote.js \
+- web/javascript/common.js \
+- web/javascript/torrent.js
+-
+-clutch_jquerydir = $(clutch_jsdir)/jquery
+-clutch_jquery_DATA = \
+- web/javascript/jquery \
+- web/javascript/jquery/json.min.js \
+- web/javascript/jquery/jquery.contextmenu.min.js \
+- web/javascript/jquery/jquery.min.js \
+- web/javascript/jquery/jquery.form.min.js \
+- web/javascript/jquery/jquery.transmenu.min.js \
+- web/javascript/jquery/jquery-dimensions.min.js
+-
+-clutch_imagesdir = $(clutchdir)/images
+-clutch_images_DATA = \
+- web/images/favicon.ico \
+- web/images/webclip-icon.png
+-
+-clutch_graphicsdir = $(clutch_imagesdir)/graphics
+-clutch_graphics_DATA = \
+- web/images/graphics/browser_firefox.gif \
+- web/images/graphics/logo.png \
+- web/images/graphics/chrome.png \
+- web/images/graphics/iphone_chrome.png \
+- web/images/graphics/browser_opera.gif \
+- web/images/graphics/filter_bar.png \
+- web/images/graphics/transfer_arrows.png \
+- web/images/graphics/browser_safari.gif
+-
+-clutch_progressdir = $(clutch_imagesdir)/progress
+-clutch_progress_DATA = \
+- web/images/progress/progress.png
+-
+-clutch_buttonsdir = $(clutch_imagesdir)/buttons
+-clutch_buttons_DATA = \
+- web/images/buttons/tab_backgrounds.png \
+- web/images/buttons/toolbar_buttons.png \
+- web/images/buttons/info_general.png \
+- web/images/buttons/torrent_buttons.png \
+- web/images/buttons/info_activity.png
+-
+-DISTCLEANFILES = \
+- intltool-extract \
+- intltool-merge \
+- intltool-update
++ daemon
diff --git a/net-p2p/transmission-cli/files/transmission-gtk2-configure.ac b/net-p2p/transmission-cli/files/transmission-gtk2-configure.ac
new file mode 100644
index 000000000000..70f742d0718e
--- /dev/null
+++ b/net-p2p/transmission-cli/files/transmission-gtk2-configure.ac
@@ -0,0 +1,334 @@
+--- configure.ac.orig 2008-07-14 14:20:59.000000000 -0500
++++ configure.ac 2008-07-14 14:28:56.000000000 -0500
+@@ -10,20 +10,16 @@
+ AM_INIT_AUTOMAKE([1.9 tar-ustar])
+ AC_PROG_LIBTOOL
+
+-OPENSSL_MINIMUM=0.9.4
+ CURL_MINIMUM=7.16.3
+ GIO_MINIMUM=2.15.5
+ GLIB_MINIMUM=2.6.0
+ GTK_MINIMUM=2.6.0
+-WX_MINIMUM=2.6.0
+ LIBNOTIFY_MINIMUM=0.4.4
+ DBUS_GLIB_MINIMUM=0.70
+-AC_SUBST(OPENSSL_MINIMUM)
+ AC_SUBST(CURL_MINIMUM)
+ AC_SUBST(GIO_MINIMUM)
+ AC_SUBST(GLIB_MINIMUM)
+ AC_SUBST(GTK_MINIMUM)
+-AC_SUBST(WX_MINIMUM)
+ AC_SUBST(LIBNOTIFY_MINIMUM)
+ AC_SUBST(DBUS_GLIB_MINIMUM)
+
+@@ -44,7 +40,8 @@
+
+ AC_SEARCH_LIBS([socket], [socket net])
+ AC_SEARCH_LIBS([gethostbyname], [nsl bind])
+-PKG_CHECK_MODULES(OPENSSL, [openssl >= $OPENSSL_MINIMUM])
++AC_CHECK_LIB([crypto],[CRYPTO_new_ex_data])
++AC_CHECK_LIB([ssl],[SSL_library_init])
+ PKG_CHECK_MODULES(LIBCURL, [libcurl >= $CURL_MINIMUM])
+
+ AC_SYS_LARGEFILE
+@@ -87,20 +84,14 @@
+ gthread-2.0 >= $GLIB_MINIMUM],
+ [have_gtk=yes],
+ [have_gtk=no])
+-AC_ARG_ENABLE([gtk],
+- AC_HELP_STRING([--enable-gtk],[build gtk client]),
+- [want_gtk=${enableval}],
+- [want_gtk=${have_gtk}])
+ build_gtk=no
+ use_gio=no
+ use_libnotify=no
+ use_dbus_glib=no
+-if test "x$want_gtk" = "xyes" ; then
+- if test "x$have_gtk" = "xyes"; then
+- build_gtk=yes
+- else
+- AC_MSG_ERROR("GTK+ not found!")
+- fi
++if test "x$have_gtk" = "xyes"; then
++ build_gtk=yes
++else
++ AC_MSG_ERROR("GTK+ not found!")
+ fi
+ AM_CONDITIONAL([BUILD_GTK],[test "x$build_gtk" = "xyes"])
+ AC_SUBST(GTK_LIBS)
+@@ -158,152 +149,14 @@
+
+ dnl ----------------------------------------------------------------------------
+ dnl
+-dnl wxWidgets detection for the wxWidgets client
+-
+-AM_OPTIONS_WXCONFIG
+-AM_PATH_WXCONFIG($WX_MINIMUM,[have_wx=yes],[have_wx=no])
+-AC_ARG_ENABLE([wx],
+- AC_HELP_STRING([--enable-wx],[build wxWidgets client]),
+- [want_wx=${enableval}],
+- [want_wx=no])
+-build_wx=no
+-if test "x$want_wx" = "xyes" ; then
+- if test "x$have_wx" = "xyes"; then
+- build_wx=yes
+- else
+- AC_MSG_ERROR("wxWidgets not found!")
+- fi
+-fi
+-AM_CONDITIONAL([BUILD_WX],[test "x$build_wx" = "xyes"])
+-
+-
+-
+-dnl ----------------------------------------------------------------------------
+-dnl
+-dnl platform-specific stuff.
+-
+-AC_CANONICAL_HOST
+-have_beos="no"
+-have_darwin="no"
+-have_msw="no"
+-case $host_os in
+-
+- *cygwin|*mingw32*)
+- have_msw="yes"
+- CXXFLAGS="$CXXFLAGS -mms-bitfields -mwin32 -mwindows"
+- CPPFLAGS="$CPPFLAGS -DWIN32 -DWIN32_LEAN_AND_MEAN"
+- LIBS="$LIBS -lshell32 -lws2_32"
+- transmissionlocaledir="locale"
+- if test -z "$host_alias"; then
+- hostaliaswindres=
+- else
+- hostaliaswindres="$host_alias-windres";
+- fi
+- AC_PATH_PROGS([WINDRES], [windres $hostaliaswindres $host_os-windres])
+- if test "x$WINDRES" = "x"; then
+- AC_MSG_ERROR([windres could not be found within your path.])
+- fi
+- AC_SUBST(WINDRES)
+- ;;
+-
+- *beos*)
+- have_beos="yes"
+- RELEASE=`uname -r`
+- case $RELEASE in
+- 6.*|5.0.4) # Zeta or R5 / BONE beta 7
+- ;;
+- 5.0*) # R5 / net_server
+- CPPFLAGS="$CPPFLAGS -DBEOS_NETSERVER"
+- ;;
+- *)
+- AC_MSG_ERROR("Unsupported BeOS version")
+- ;;
+- esac
+- GCCVER=`$CC -dumpversion`
+- case $GCCVER in
+- 2.95.3*|3*|4*)
+- ;;
+- 2.9*)
+- BEOS_OLDCC=yes
+- ;;
+- *)
+- AC_MSG_ERROR("Unsupported gcc version")
+- ;;
+- esac
+- ;;
+-
+- *darwin*)
+- have_darwin="yes"
+- # Make sure the Universal SDK is installed
+- if test ! -d /Developer/SDKs/MacOSX10.4u.sdk; then
+- cat << EOF
+-You need to install the Universal SDK in order to build Transmission:
+- Get your Xcode CD or package
+- Restart the install
+- When it gets to "Installation Type", select "Customize"
+- Select "Mac OS X 10.4 (Universal) SDK" under "Cross Development"
+- Finish the install.
+-EOF
+- exit 1
+- fi
+- ;;
+-
+-esac
+-
+-AC_ARG_ENABLE([beos],
+- [AC_HELP_STRING([--enable-beos],[build OS X client])],
+- [build_beos=${enableval}],
+- [build_beos=${have_beos}])
+-AM_CONDITIONAL([BUILD_BEOS],[test "x$build_beos" = "xyes"])
+-
+-AC_ARG_ENABLE([cli],
+- [AC_HELP_STRING([--enable-cli],[build command-line client])],
+- [build_cli=${enableval}],
+- [build_cli="yes"])
+-AM_CONDITIONAL([BUILD_CLI],[test "x$build_cli" = "xyes"])
+-
+-AC_ARG_ENABLE([darwin],
+- [AC_HELP_STRING([--enable-darwin],[build OS X client])],
+- [build_darwin=${enableval}],
+- [build_darwin=${have_darwin}])
+-AM_CONDITIONAL([BUILD_DARWIN],[test "x$build_darwin" = "xyes"])
+-
+-AC_ARG_ENABLE([daemon],
+- [AC_HELP_STRING([--enable-daemon],[build daemon])],
+- [build_daemon=${enableval}],
+- [build_daemon="yes"])
+-AM_CONDITIONAL([BUILD_DAEMON],[test "x$build_daemon" = "xyes"])
+-
+-
+-if test "x$have_beos" = "xyes"; then
+- AC_DEFINE([HAVE_BEOS], 1)
+-fi
+-if test "x$have_darwin" = "xyes"; then
+- AC_DEFINE([HAVE_DARWIN], 1)
+-fi
+-if test "x$have_msw" = "xyes"; then
+- AC_DEFINE([HAVE_MSW], 1)
+-fi
+-
+-
+-dnl ----------------------------------------------------------------------------
+-dnl
+ dnl Generate the output
+
+ AC_CONFIG_FILES([Makefile
+- transmission.spec
+- beos/Makefile
+- cli/Makefile
+- daemon/Makefile
+- doc/Makefile
+ libtransmission/Makefile
+ third-party/Makefile
+ third-party/miniupnp/Makefile
+ third-party/libnatpmp/Makefile
+ third-party/shttpd/Makefile
+- macosx/Makefile
+- wx/Makefile
+- wx/images/Makefile
+ gtk/Makefile
+ gtk/icons/Makefile
+ po/Makefile.in])
+@@ -317,14 +170,9 @@
+
+ Source code location: ${srcdir}
+ Compiler: ${CXX}
+- Build Command-Line client: ${build_cli}
+- Build Daemon: ${build_daemon}
+- Build BeOS client: ${build_beos}
+ Build GTK+ client: ${build_gtk}
+ ... gio support: ${use_gio}
+ ... dbus-glib support: ${use_dbus_glib}
+ ... libnotify support: ${use_libnotify}
+- Build OS X client: ${build_darwin}
+- Build wxWidgets client: ${build_wx}
+
+ "
+--- Makefile.am.orig 2008-07-14 14:31:57.000000000 -0500
++++ Makefile.am 2008-07-14 14:33:13.000000000 -0500
+@@ -1,104 +1,6 @@
+ ACLOCAL_AMFLAGS = -I m4
+
+-if BUILD_BEOS
+- BEOS_DIR = beos
+-endif
+-if BUILD_CLI
+- CLI_DIR = cli
+-endif
+-if BUILD_DAEMON
+- DAEMON_DIR = daemon
+-endif
+-if BUILD_DARWIN
+- MAC_DIR = macosx
+-endif
+-if BUILD_GTK
+- GTK_DIR = gtk po
+-endif
+-if BUILD_WX
+- WX_DIR = wx
+-endif
+-
+ SUBDIRS = \
+- doc \
+ third-party \
+ libtransmission \
+- $(DAEMON_DIR) \
+- $(CLI_DIR) \
+- $(BEOS_DIR) \
+- $(GTK_DIR) \
+- $(MAC_DIR) \
+- $(WX_DIR)
+-
+-EXTRA_DIST = \
+- web \
+- NEWS \
+- AUTHORS \
+- COPYING \
+- README \
+- Transmission.xcodeproj/project.pbxproj \
+- intltool-extract.in \
+- intltool-merge.in \
+- intltool-update.in
+-
+-clutchdir = $(datadir)/transmission/web
+-clutch_DATA = \
+- web/index.html \
+- web/LICENSE
+-
+-clutch_cssdir = $(clutchdir)/stylesheets
+-clutch_css_DATA = \
+- web/stylesheets/iphone.css \
+- web/stylesheets/common.css
+-
+-clutch_jsdir = $(clutchdir)/javascript
+-clutch_js_DATA = \
+- web/javascript/menu.js \
+- web/javascript/dialog.js \
+- web/javascript/transmission.js \
+- web/javascript/transmission.remote.js \
+- web/javascript/common.js \
+- web/javascript/torrent.js
+-
+-clutch_jquerydir = $(clutch_jsdir)/jquery
+-clutch_jquery_DATA = \
+- web/javascript/jquery \
+- web/javascript/jquery/json.min.js \
+- web/javascript/jquery/jquery.contextmenu.min.js \
+- web/javascript/jquery/jquery.min.js \
+- web/javascript/jquery/jquery.form.min.js \
+- web/javascript/jquery/jquery.transmenu.min.js \
+- web/javascript/jquery/jquery-dimensions.min.js
+-
+-clutch_imagesdir = $(clutchdir)/images
+-clutch_images_DATA = \
+- web/images/favicon.ico \
+- web/images/webclip-icon.png
+-
+-clutch_graphicsdir = $(clutch_imagesdir)/graphics
+-clutch_graphics_DATA = \
+- web/images/graphics/browser_firefox.gif \
+- web/images/graphics/logo.png \
+- web/images/graphics/chrome.png \
+- web/images/graphics/iphone_chrome.png \
+- web/images/graphics/browser_opera.gif \
+- web/images/graphics/filter_bar.png \
+- web/images/graphics/transfer_arrows.png \
+- web/images/graphics/browser_safari.gif
+-
+-clutch_progressdir = $(clutch_imagesdir)/progress
+-clutch_progress_DATA = \
+- web/images/progress/progress.png
+-
+-clutch_buttonsdir = $(clutch_imagesdir)/buttons
+-clutch_buttons_DATA = \
+- web/images/buttons/tab_backgrounds.png \
+- web/images/buttons/toolbar_buttons.png \
+- web/images/buttons/info_general.png \
+- web/images/buttons/torrent_buttons.png \
+- web/images/buttons/info_activity.png
+-
+-DISTCLEANFILES = \
+- intltool-extract \
+- intltool-merge \
+- intltool-update
++ gtk po
diff --git a/net-p2p/transmission-cli/files/transmission-web-configure.ac b/net-p2p/transmission-cli/files/transmission-web-configure.ac
new file mode 100644
index 000000000000..f6534d971721
--- /dev/null
+++ b/net-p2p/transmission-cli/files/transmission-web-configure.ac
@@ -0,0 +1,387 @@
+--- configure.ac.orig 2008-07-13 22:42:28.000000000 -0500
++++ configure.ac 2008-07-14 16:12:09.000000000 -0500
+@@ -6,325 +6,10 @@
+
+ AC_PREREQ(2.54)
+ dnl AM_CONFIG_HEADER(config.h)
+-AC_CONFIG_SRCDIR(libtransmission/transmission.h)
+ AM_INIT_AUTOMAKE([1.9 tar-ustar])
+-AC_PROG_LIBTOOL
+
+-OPENSSL_MINIMUM=0.9.4
+-CURL_MINIMUM=7.16.3
+-GIO_MINIMUM=2.15.5
+-GLIB_MINIMUM=2.6.0
+-GTK_MINIMUM=2.6.0
+-WX_MINIMUM=2.6.0
+-LIBNOTIFY_MINIMUM=0.4.4
+-DBUS_GLIB_MINIMUM=0.70
+-AC_SUBST(OPENSSL_MINIMUM)
+-AC_SUBST(CURL_MINIMUM)
+-AC_SUBST(GIO_MINIMUM)
+-AC_SUBST(GLIB_MINIMUM)
+-AC_SUBST(GTK_MINIMUM)
+-AC_SUBST(WX_MINIMUM)
+-AC_SUBST(LIBNOTIFY_MINIMUM)
+-AC_SUBST(DBUS_GLIB_MINIMUM)
+-
+-AC_PROG_CC
+-AC_PROG_CXX
+-if test "x$GCC" = "xyes" ; then
+- CFLAGS="-g -Wall -W -O3 -funroll-loops"
+- CXXFLAGS="-g -Wall -W -O3 -funroll-loops"
+-fi
+-AC_HEADER_STDC
+-AC_HEADER_TIME
+-AC_CHECK_FUNCS([lrintf strlcpy daemon dirname basename daemon strcasecmp])
+-AC_CHECK_SIZEOF([void*])
+ AC_PROG_INSTALL
+ AC_PROG_MAKE_SET
+-AC_PROG_RANLIB
+-ACX_PTHREAD
+-
+-AC_SEARCH_LIBS([socket], [socket net])
+-AC_SEARCH_LIBS([gethostbyname], [nsl bind])
+-PKG_CHECK_MODULES(OPENSSL, [openssl >= $OPENSSL_MINIMUM])
+-PKG_CHECK_MODULES(LIBCURL, [libcurl >= $CURL_MINIMUM])
+-
+-AC_SYS_LARGEFILE
+-
+-dnl ----------------------------------------------------------------------------
+-dnl
+-dnl va_copy
+-
+-AC_MSG_CHECKING([how to copy va_list])
+-AC_TRY_LINK([#include <stdarg.h>], [va_list ap1, ap2; va_copy(ap1, ap2);],
+- AC_MSG_RESULT([va_copy]),
+- [ AH_TEMPLATE([va_copy], [define if va_copy is not available])
+- AC_TRY_LINK([#include <stdarg.h>], [va_list ap1, ap2; __va_copy(ap1, ap2);],
+- [ AC_DEFINE([va_copy], [__va_copy])
+- AC_MSG_RESULT([__va_copy])],
+- [ AC_DEFINE([va_copy(dest,src)], [memcpy(&dest,&src,sizeof(va_list))])
+- AC_MSG_RESULT([memcpy])]
+- )
+-])
+-
+-
+-dnl ----------------------------------------------------------------------------
+-dnl
+-dnl libevent fun
+-
+-AC_CONFIG_SUBDIRS([third-party/libevent])
+-AC_MSG_NOTICE([invoking libevent's configure script])
+-LIBEVENT_CPPFLAGS="-I\$(top_srcdir)/third-party/libevent"
+-AC_SUBST(LIBEVENT_CPPFLAGS)
+-
+-
+-dnl ----------------------------------------------------------------------------
+-dnl
+-dnl detection for the GTK+ client
+-
+-PKG_CHECK_MODULES(GTK,
+- [gtk+-2.0 >= $GTK_MINIMUM
+- glib-2.0 >= $GLIB_MINIMUM
+- gmodule-2.0 >= $GLIB_MINIMUM
+- gthread-2.0 >= $GLIB_MINIMUM],
+- [have_gtk=yes],
+- [have_gtk=no])
+-AC_ARG_ENABLE([gtk],
+- AC_HELP_STRING([--enable-gtk],[build gtk client]),
+- [want_gtk=${enableval}],
+- [want_gtk=${have_gtk}])
+-build_gtk=no
+-use_gio=no
+-use_libnotify=no
+-use_dbus_glib=no
+-if test "x$want_gtk" = "xyes" ; then
+- if test "x$have_gtk" = "xyes"; then
+- build_gtk=yes
+- else
+- AC_MSG_ERROR("GTK+ not found!")
+- fi
+-fi
+-AM_CONDITIONAL([BUILD_GTK],[test "x$build_gtk" = "xyes"])
+-AC_SUBST(GTK_LIBS)
+-AC_SUBST(GTK_CFLAGS)
+-
+-if test "x$build_gtk" = "xyes"; then
+-
+- PKG_CHECK_MODULES([GIO],
+- [gio-2.0 >= $GIO_MINIMUM],
+- [use_gio=yes],
+- [use_gio=no])
+- AC_SUBST(GIO_LIBS)
+- AC_SUBST(GIO_CFLAGS)
+- if test "x$use_gio" = "xyes"; then
+- AC_DEFINE([HAVE_GIO], 1)
+- fi
+-
+- PKG_CHECK_MODULES([LIBNOTIFY],
+- [libnotify >= $LIBNOTIFY_MINIMUM],
+- [have_libnotify=yes],
+- [have_libnotify=no])
+- AC_ARG_ENABLE([libnotify],
+- AS_HELP_STRING([--enable-libnotify],[enable notifications]),,
+- [enable_libnotify=yes])
+- use_libnotify=no
+- if test "x$enable_libnotify" = "xyes" ; then
+- if test "x$have_libnotify" = "xyes"; then
+- use_libnotify=yes
+- AC_SUBST(LIBNOTIFY_LIBS)
+- AC_SUBST(LIBNOTIFY_CFLAGS)
+- AC_DEFINE([HAVE_LIBNOTIFY], 1)
+- fi
+- fi
+-
+- PKG_CHECK_MODULES([DBUS_GLIB],
+- [dbus-glib-1 >= $DBUS_GLIB_MINIMUM],
+- [use_dbus_glib=yes],
+- [use_dbus_glib=no])
+- AC_SUBST(DBUS_GLIB_LIBS)
+- AC_SUBST(DBUS_GLIB_CFLAGS)
+- if test "x$use_dbus_glib" = "xyes"; then
+- AC_DEFINE([HAVE_DBUS_GLIB], 1)
+- fi
+-fi
+-
+-AC_CHECK_HEADERS([libintl.h])
+-IT_PROG_INTLTOOL([0.23],[no-xml])
+-GETTEXT_PACKAGE=transmission
+-AC_SUBST(GETTEXT_PACKAGE)
+-AC_DEFINE_UNQUOTED([GETTEXT_PACKAGE],["$GETTEXT_PACKAGE"],[Gettext package])
+-AM_GLIB_GNU_GETTEXT
+-transmissionlocaledir='${prefix}/${DATADIRNAME}/locale'
+-AC_SUBST(transmissionlocaledir)
+-
+-
+-dnl ----------------------------------------------------------------------------
+-dnl
+-dnl wxWidgets detection for the wxWidgets client
+-
+-AM_OPTIONS_WXCONFIG
+-AM_PATH_WXCONFIG($WX_MINIMUM,[have_wx=yes],[have_wx=no])
+-AC_ARG_ENABLE([wx],
+- AC_HELP_STRING([--enable-wx],[build wxWidgets client]),
+- [want_wx=${enableval}],
+- [want_wx=no])
+-build_wx=no
+-if test "x$want_wx" = "xyes" ; then
+- if test "x$have_wx" = "xyes"; then
+- build_wx=yes
+- else
+- AC_MSG_ERROR("wxWidgets not found!")
+- fi
+-fi
+-AM_CONDITIONAL([BUILD_WX],[test "x$build_wx" = "xyes"])
+-
+
+-
+-dnl ----------------------------------------------------------------------------
+-dnl
+-dnl platform-specific stuff.
+-
+-AC_CANONICAL_HOST
+-have_beos="no"
+-have_darwin="no"
+-have_msw="no"
+-case $host_os in
+-
+- *cygwin|*mingw32*)
+- have_msw="yes"
+- CXXFLAGS="$CXXFLAGS -mms-bitfields -mwin32 -mwindows"
+- CPPFLAGS="$CPPFLAGS -DWIN32 -DWIN32_LEAN_AND_MEAN"
+- LIBS="$LIBS -lshell32 -lws2_32"
+- transmissionlocaledir="locale"
+- if test -z "$host_alias"; then
+- hostaliaswindres=
+- else
+- hostaliaswindres="$host_alias-windres";
+- fi
+- AC_PATH_PROGS([WINDRES], [windres $hostaliaswindres $host_os-windres])
+- if test "x$WINDRES" = "x"; then
+- AC_MSG_ERROR([windres could not be found within your path.])
+- fi
+- AC_SUBST(WINDRES)
+- ;;
+-
+- *beos*)
+- have_beos="yes"
+- RELEASE=`uname -r`
+- case $RELEASE in
+- 6.*|5.0.4) # Zeta or R5 / BONE beta 7
+- ;;
+- 5.0*) # R5 / net_server
+- CPPFLAGS="$CPPFLAGS -DBEOS_NETSERVER"
+- ;;
+- *)
+- AC_MSG_ERROR("Unsupported BeOS version")
+- ;;
+- esac
+- GCCVER=`$CC -dumpversion`
+- case $GCCVER in
+- 2.95.3*|3*|4*)
+- ;;
+- 2.9*)
+- BEOS_OLDCC=yes
+- ;;
+- *)
+- AC_MSG_ERROR("Unsupported gcc version")
+- ;;
+- esac
+- ;;
+-
+- *darwin*)
+- have_darwin="yes"
+- # Make sure the Universal SDK is installed
+- if test ! -d /Developer/SDKs/MacOSX10.4u.sdk; then
+- cat << EOF
+-You need to install the Universal SDK in order to build Transmission:
+- Get your Xcode CD or package
+- Restart the install
+- When it gets to "Installation Type", select "Customize"
+- Select "Mac OS X 10.4 (Universal) SDK" under "Cross Development"
+- Finish the install.
+-EOF
+- exit 1
+- fi
+- ;;
+-
+-esac
+-
+-AC_ARG_ENABLE([beos],
+- [AC_HELP_STRING([--enable-beos],[build OS X client])],
+- [build_beos=${enableval}],
+- [build_beos=${have_beos}])
+-AM_CONDITIONAL([BUILD_BEOS],[test "x$build_beos" = "xyes"])
+-
+-AC_ARG_ENABLE([cli],
+- [AC_HELP_STRING([--enable-cli],[build command-line client])],
+- [build_cli=${enableval}],
+- [build_cli="yes"])
+-AM_CONDITIONAL([BUILD_CLI],[test "x$build_cli" = "xyes"])
+-
+-AC_ARG_ENABLE([darwin],
+- [AC_HELP_STRING([--enable-darwin],[build OS X client])],
+- [build_darwin=${enableval}],
+- [build_darwin=${have_darwin}])
+-AM_CONDITIONAL([BUILD_DARWIN],[test "x$build_darwin" = "xyes"])
+-
+-AC_ARG_ENABLE([daemon],
+- [AC_HELP_STRING([--enable-daemon],[build daemon])],
+- [build_daemon=${enableval}],
+- [build_daemon="yes"])
+-AM_CONDITIONAL([BUILD_DAEMON],[test "x$build_daemon" = "xyes"])
+-
+-
+-if test "x$have_beos" = "xyes"; then
+- AC_DEFINE([HAVE_BEOS], 1)
+-fi
+-if test "x$have_darwin" = "xyes"; then
+- AC_DEFINE([HAVE_DARWIN], 1)
+-fi
+-if test "x$have_msw" = "xyes"; then
+- AC_DEFINE([HAVE_MSW], 1)
+-fi
+-
+-
+-dnl ----------------------------------------------------------------------------
+-dnl
+-dnl Generate the output
+-
+-AC_CONFIG_FILES([Makefile
+- transmission.spec
+- beos/Makefile
+- cli/Makefile
+- daemon/Makefile
+- doc/Makefile
+- libtransmission/Makefile
+- third-party/Makefile
+- third-party/miniupnp/Makefile
+- third-party/libnatpmp/Makefile
+- third-party/shttpd/Makefile
+- macosx/Makefile
+- wx/Makefile
+- wx/images/Makefile
+- gtk/Makefile
+- gtk/icons/Makefile
+- po/Makefile.in])
+-
+-ac_configure_args="$ac_configure_args --enable-static --disable-shared -q"
++AC_CONFIG_FILES([Makefile])
+ AC_OUTPUT
+-
+-echo "
+-
+-Configuration:
+-
+- Source code location: ${srcdir}
+- Compiler: ${CXX}
+- Build Command-Line client: ${build_cli}
+- Build Daemon: ${build_daemon}
+- Build BeOS client: ${build_beos}
+- Build GTK+ client: ${build_gtk}
+- ... gio support: ${use_gio}
+- ... dbus-glib support: ${use_dbus_glib}
+- ... libnotify support: ${use_libnotify}
+- Build OS X client: ${build_darwin}
+- Build wxWidgets client: ${build_wx}
+-
+-"
+--- Makefile.am.orig 2008-07-14 16:11:59.000000000 -0500
++++ Makefile.am 2008-07-14 16:11:59.000000000 -0500
+@@ -1,46 +1,5 @@
+ ACLOCAL_AMFLAGS = -I m4
+
+-if BUILD_BEOS
+- BEOS_DIR = beos
+-endif
+-if BUILD_CLI
+- CLI_DIR = cli
+-endif
+-if BUILD_DAEMON
+- DAEMON_DIR = daemon
+-endif
+-if BUILD_DARWIN
+- MAC_DIR = macosx
+-endif
+-if BUILD_GTK
+- GTK_DIR = gtk po
+-endif
+-if BUILD_WX
+- WX_DIR = wx
+-endif
+-
+-SUBDIRS = \
+- doc \
+- third-party \
+- libtransmission \
+- $(DAEMON_DIR) \
+- $(CLI_DIR) \
+- $(BEOS_DIR) \
+- $(GTK_DIR) \
+- $(MAC_DIR) \
+- $(WX_DIR)
+-
+-EXTRA_DIST = \
+- web \
+- NEWS \
+- AUTHORS \
+- COPYING \
+- README \
+- Transmission.xcodeproj/project.pbxproj \
+- intltool-extract.in \
+- intltool-merge.in \
+- intltool-update.in
+-
+ clutchdir = $(datadir)/transmission/web
+ clutch_DATA = \
+ web/index.html \
+@@ -97,8 +56,3 @@
+ web/images/buttons/info_general.png \
+ web/images/buttons/torrent_buttons.png \
+ web/images/buttons/info_activity.png
+-
+-DISTCLEANFILES = \
+- intltool-extract \
+- intltool-merge \
+- intltool-update
diff --git a/net-p2p/transmission-cli/pkg-descr b/net-p2p/transmission-cli/pkg-descr
index ff7f8f48e0a3..5809e6716ef4 100644
--- a/net-p2p/transmission-cli/pkg-descr
+++ b/net-p2p/transmission-cli/pkg-descr
@@ -1,9 +1,9 @@
-Transmission is a free, lightweight BitTorrent client. It features a
-simple, intuitive interface on top on an efficient, cross-platform
-back-end.
+A fast and lightweight CLI (command line) BitTorrent client.
-Transmission is open source (MIT license) and runs on Mac OS X (Cocoa
-interface), Linux/NetBSD/FreeBSD/OpenBSD (GTK+ interface) and BeOS
-(native interface).
+Transmission has been built from the ground up to be a lightweight, yet
+powerful BitTorrent client. Its simple, intuitive interface is designed
+to integrate tightly with whatever computing environment you choose to
+use. Transmission strikes a balance between providing useful functionality
+without feature bloat. Furthermore, it is free for anyone to use or modify.
WWW: http://www.transmissionbt.com/
diff --git a/net-p2p/transmission-cli/pkg-plist b/net-p2p/transmission-cli/pkg-plist
index 81dfef200185..635d782e33af 100644
--- a/net-p2p/transmission-cli/pkg-plist
+++ b/net-p2p/transmission-cli/pkg-plist
@@ -1,6 +1,6 @@
bin/transmissioncli
%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/LICENSE
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
%%PORTDOCS%%%%DOCSDIR%%/NEWS
%%PORTDOCS%%%%DOCSDIR%%/README
%%PORTDOCS%%@dirrm %%DOCSDIR%%
diff --git a/net-p2p/transmission-daemon/Makefile b/net-p2p/transmission-daemon/Makefile
index c9aa7cbe7a88..a713037ad5eb 100644
--- a/net-p2p/transmission-daemon/Makefile
+++ b/net-p2p/transmission-daemon/Makefile
@@ -8,23 +8,14 @@
PORTREVISION= 0
PKGNAMESUFFIX= -daemon
-COMMENT= A free BitTorrent daemon written from scratch in C
+MAINTAINER= mezz@FreeBSD.org
+COMMENT= A fast and lightweight daemon BitTorrent client
DESCR= ${.CURDIR}/pkg-descr
-MASTERDIR= ${.CURDIR}/../transmission
+MASTERDIR= ${.CURDIR}/../transmission-cli
PLIST= ${.CURDIR}/pkg-plist
+SLAVEPORT= daemon
-CONFIGURE_ARGS=${GCONFIGURE} \
- --disable-cli \
- --enable-daemon \
- --disable-gtk
-
-DOCSDIR= ${PREFIX}/share/doc/${PORTNAME}${PKGNAMESUFFIX}
-MAN1= transmission-daemon.1 transmission-proxy.1 \
- transmission-remote.1
-
-post-patch: general-patch
-
-post-install: general-install
+MAN1= transmission-daemon.1 transmission-remote.1
.include "${MASTERDIR}/Makefile"
diff --git a/net-p2p/transmission-daemon/pkg-descr b/net-p2p/transmission-daemon/pkg-descr
index d5a056102d34..d609b375191d 100644
--- a/net-p2p/transmission-daemon/pkg-descr
+++ b/net-p2p/transmission-daemon/pkg-descr
@@ -1,8 +1,11 @@
The transmission-daemon is a daemon-based Transmission session that can
-be controlled via IPC commands by transmission-remote (included).
+be controlled via RPC by transmission-remote (included) and other
+Transmission BiTtorrent client such as GTK+ and CLI interface.
-Transmission is a free, lightweight BitTorrent client. It features a
-simple, intuitive interface on top on an efficient, cross-platform
-back-end.
+Transmission has been built from the ground up to be a lightweight, yet
+powerful BitTorrent client. Its simple, intuitive interface is designed
+to integrate tightly with whatever computing environment you choose to
+use. Transmission strikes a balance between providing useful functionality
+without feature bloat. Furthermore, it is free for anyone to use or modify.
WWW: http://www.transmissionbt.com/
diff --git a/net-p2p/transmission-daemon/pkg-plist b/net-p2p/transmission-daemon/pkg-plist
index 007ea2ad1b6b..88b8d022681f 100644
--- a/net-p2p/transmission-daemon/pkg-plist
+++ b/net-p2p/transmission-daemon/pkg-plist
@@ -1,8 +1,7 @@
bin/transmission-daemon
-bin/transmission-proxy
bin/transmission-remote
%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/LICENSE
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
%%PORTDOCS%%%%DOCSDIR%%/NEWS
%%PORTDOCS%%%%DOCSDIR%%/README
%%PORTDOCS%%@dirrm %%DOCSDIR%%
diff --git a/net-p2p/transmission-gtk2/Makefile b/net-p2p/transmission-gtk2/Makefile
index 9dea67d48182..5ed12852b9a1 100644
--- a/net-p2p/transmission-gtk2/Makefile
+++ b/net-p2p/transmission-gtk2/Makefile
@@ -8,23 +8,27 @@
PORTREVISION= 0
PKGNAMESUFFIX= -gtk2
-COMMENT= A free BitTorrent client written from scratch in C with GTK+2
+MAINTAINER= mezz@FreeBSD.org
+COMMENT= A fast and lightweight GTK+2 BitTorrent client
-LIB_DEPENDS= notify.1:${PORTSDIR}/devel/libnotify \
+LIB_DEPENDS= ${GEN_LIB_DEPENDS} \
+ notify.1:${PORTSDIR}/devel/libnotify \
dbus-glib-1.2:${PORTSDIR}/devel/dbus-glib
-RUN_DEPENDS= xdg-open:${PORTSDIR}/devel/xdg-utils
+RUN_DEPENDS= ${GEN_RUN_DEPENDS} \
+ xdg-open:${PORTSDIR}/devel/xdg-utils
-MASTERDIR= ${.CURDIR}/../transmission
+DESCR= ${.CURDIR}/pkg-descr
+MASTERDIR= ${.CURDIR}/../transmission-cli
PLIST= ${.CURDIR}/pkg-plist
+SLAVEPORT= gtk
USE_GNOME= gnometarget gnomehack gtk20 desktopfileutils intlhack
+USE_GETTEXT= yes
INSTALLS_ICONS= yes
-CONFIGURE_ARGS= ${GCONFIGURE} \
- --disable-cli \
- --disable-daemon \
- --enable-gtk
+CONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include ${PTHREAD_CFLAGS}" \
+ LDFLAGS="${LDFLAGS}"
+LDFLAGS= -L${LOCALBASE}/lib ${PTHREAD_LIBS}
-DOCSDIR= ${PREFIX}/share/doc/${PORTNAME}${PKGNAMESUFFIX}
MAN1= transmission.1
post-patch: general-patch
diff --git a/net-p2p/transmission-gtk2/pkg-descr b/net-p2p/transmission-gtk2/pkg-descr
new file mode 100644
index 000000000000..b735240917bd
--- /dev/null
+++ b/net-p2p/transmission-gtk2/pkg-descr
@@ -0,0 +1,9 @@
+A fast and lightweight GTK+2 BitTorrent client.
+
+Transmission has been built from the ground up to be a lightweight, yet
+powerful BitTorrent client. Its simple, intuitive interface is designed
+to integrate tightly with whatever computing environment you choose to
+use. Transmission strikes a balance between providing useful functionality
+without feature bloat. Furthermore, it is free for anyone to use or modify.
+
+WWW: http://www.transmissionbt.com/
diff --git a/net-p2p/transmission-gtk2/pkg-plist b/net-p2p/transmission-gtk2/pkg-plist
index 2335c0b10726..902ee9f3c973 100644
--- a/net-p2p/transmission-gtk2/pkg-plist
+++ b/net-p2p/transmission-gtk2/pkg-plist
@@ -1,7 +1,7 @@
bin/transmission
share/applications/transmission.desktop
%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/LICENSE
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
%%PORTDOCS%%%%DOCSDIR%%/NEWS
%%PORTDOCS%%%%DOCSDIR%%/README
share/icons/hicolor/16x16/apps/transmission.png
@@ -17,7 +17,11 @@ share/locale/cs/LC_MESSAGES/transmission.mo
share/locale/da/LC_MESSAGES/transmission.mo
share/locale/de/LC_MESSAGES/transmission.mo
share/locale/el/LC_MESSAGES/transmission.mo
+share/locale/en_CA/LC_MESSAGES/transmission.mo
+share/locale/en_GB/LC_MESSAGES/transmission.mo
+share/locale/eo/LC_MESSAGES/transmission.mo
share/locale/es/LC_MESSAGES/transmission.mo
+share/locale/et/LC_MESSAGES/transmission.mo
share/locale/fa/LC_MESSAGES/transmission.mo
share/locale/fi/LC_MESSAGES/transmission.mo
share/locale/fr/LC_MESSAGES/transmission.mo
@@ -25,6 +29,8 @@ share/locale/ga/LC_MESSAGES/transmission.mo
share/locale/gl/LC_MESSAGES/transmission.mo
share/locale/he/LC_MESSAGES/transmission.mo
share/locale/hu/LC_MESSAGES/transmission.mo
+share/locale/id/LC_MESSAGES/transmission.mo
+share/locale/is/LC_MESSAGES/transmission.mo
share/locale/it/LC_MESSAGES/transmission.mo
share/locale/ja/LC_MESSAGES/transmission.mo
share/locale/ka/LC_MESSAGES/transmission.mo
@@ -47,6 +53,7 @@ share/locale/sr/LC_MESSAGES/transmission.mo
share/locale/sv/LC_MESSAGES/transmission.mo
share/locale/te/LC_MESSAGES/transmission.mo
share/locale/tr/LC_MESSAGES/transmission.mo
+share/locale/uk/LC_MESSAGES/transmission.mo
share/locale/zh_CN/LC_MESSAGES/transmission.mo
share/locale/zh_TW/LC_MESSAGES/transmission.mo
share/pixmaps/transmission.png
diff --git a/net-p2p/transmission/Makefile b/net-p2p/transmission/Makefile
index feb6fa9d9454..a6034e45c01e 100644
--- a/net-p2p/transmission/Makefile
+++ b/net-p2p/transmission/Makefile
@@ -6,64 +6,20 @@
#
PORTNAME= transmission
-PORTVERSION= 1.22
-PORTREVISION?= 0
+PORTVERSION= 1.31
CATEGORIES= net-p2p
-MASTER_SITES= http://download.m0k.org/${PORTNAME}/files/
+MASTER_SITES= # empty
MAINTAINER= mezz@FreeBSD.org
-COMMENT?= A free BitTorrent client written from scratch in C
+COMMENT= The "meta-port" for Transmission BitTorrent client
-LIB_DEPENDS= curl.4:${PORTSDIR}/ftp/curl
+RUN_DEPENDS= transmissioncli:${PORTSDIR}/net-p2p/transmission-cli \
+ transmission-daemon:${PORTSDIR}/net-p2p/transmission-daemon \
+ transmission:${PORTSDIR}/net-p2p/transmission-gtk2
-USE_BZIP2= yes
-USE_GMAKE= yes
-USE_GNOME?= gnometarget intlhack pkgconfig
-USE_GETTEXT= yes
-USE_OPENSSL= yes
-GNU_CONFIGURE= yes
-CONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include" \
- LDFLAGS="${LDFLAGS}"
-LDFLAGS= -L${LOCALBASE}/lib
-CONFIGURE_ARGS?=${GCONFIGURE} \
- --enable-cli \
- --disable-daemon \
- --disable-gtk
+NO_BUILD= yes
-# General configure
-GCONFIGURE= --disable-beos \
- --disable-darwin \
- --disable-wx
-
-DOCS= AUTHORS LICENSE NEWS README
-MAN1?= transmissioncli.1
-
-general-patch:
- @${REINPLACE_CMD} -e \
- 's|CFLAGS="-g -Wall.*"|CFLAGS="${CFLAGS} -Wall -W"|g ; \
- s|CXXFLAGS="-g -Wall.*"|CXXFLAGS="${CXXFLAGS} -Wall -W"|g ; \
- s|_pthread_flags=".*"|_pthread_flags="${PTHREAD_LIBS}"|g' \
- ${WRKSRC}/configure
- @${REINPLACE_CMD} -e 's|bin_PROGRAMS = benc2php.*|bin_PROGRAMS = |g' \
- ${WRKSRC}/libtransmission/Makefile.in
- @${REINPLACE_CMD} -e 's|-lrt||g' \
- ${WRKSRC}/third-party/libevent/configure
- @${REINPLACE_CMD} -e 's|@SUBDIRS = . sample.*|@SUBDIRS = .|g' \
- ${WRKSRC}/third-party/libevent/Makefile.in
- @${FIND} ${WRKSRC} -name Makefile.in | ${XARGS} ${REINPLACE_CMD} -e \
- 's|$$(OPENSSL_CFLAGS)||g ; s|$$(OPENSSL_LIBS)||g ; \
- s|noinst_PROGRAMS = |noinst_PROGRAMS = #|g'
-
-post-patch: general-patch
-
-general-install:
-.ifndef (NOPORTDOCS)
- @${MKDIR} ${DOCSDIR}
-.for i in ${DOCS}
- @${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
-.endfor
-.endif
-
-post-install: general-install
+do-install:
+ @${DO_NADA}
.include <bsd.port.mk>
diff --git a/net-p2p/transmission/distinfo b/net-p2p/transmission/distinfo
deleted file mode 100644
index 1bea3a7a3439..000000000000
--- a/net-p2p/transmission/distinfo
+++ /dev/null
@@ -1,3 +0,0 @@
-MD5 (transmission-1.22.tar.bz2) = aa0a2db19b0f3dbfd75a0fb354d6c47d
-SHA256 (transmission-1.22.tar.bz2) = d4ba381b1113ba13732cb47eae2b2cbad87464deec7a90a6d49c29abd1c01f9a
-SIZE (transmission-1.22.tar.bz2) = 3987969
diff --git a/net-p2p/transmission/files/patch-configure b/net-p2p/transmission/files/patch-configure
deleted file mode 100644
index 1217ecb36204..000000000000
--- a/net-p2p/transmission/files/patch-configure
+++ /dev/null
@@ -1,499 +0,0 @@
---- configure.orig 2008-05-09 16:26:19.000000000 -0500
-+++ configure 2008-05-09 16:27:32.000000000 -0500
-@@ -885,8 +885,6 @@
- PTHREAD_LIBS
- PTHREAD_CFLAGS
- PKG_CONFIG
--OPENSSL_CFLAGS
--OPENSSL_LIBS
- LIBCURL_CFLAGS
- LIBCURL_LIBS
- subdirs
-@@ -985,8 +983,6 @@
- F77
- FFLAGS
- PKG_CONFIG
--OPENSSL_CFLAGS
--OPENSSL_LIBS
- LIBCURL_CFLAGS
- LIBCURL_LIBS
- GTK_CFLAGS
-@@ -1620,10 +1616,6 @@
- F77 Fortran 77 compiler command
- FFLAGS Fortran 77 compiler flags
- PKG_CONFIG path to pkg-config utility
-- OPENSSL_CFLAGS
-- C compiler flags for OPENSSL, overriding pkg-config
-- OPENSSL_LIBS
-- linker flags for OPENSSL, overriding pkg-config
- LIBCURL_CFLAGS
- C compiler flags for LIBCURL, overriding pkg-config
- LIBCURL_LIBS
-@@ -4542,7 +4534,7 @@
- ;;
- *-*-irix6*)
- # Find out which ABI we are using.
-- echo '#line 4545 "configure"' > conftest.$ac_ext
-+ echo '#line 4537 "configure"' > conftest.$ac_ext
- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
-@@ -7285,11 +7277,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:7288: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:7280: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:7292: \$? = $ac_status" >&5
-+ echo "$as_me:7284: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -7575,11 +7567,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:7578: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:7570: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:7582: \$? = $ac_status" >&5
-+ echo "$as_me:7574: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -7679,11 +7671,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:7682: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:7674: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>out/conftest.err)
- ac_status=$?
- cat out/conftest.err >&5
-- echo "$as_me:7686: \$? = $ac_status" >&5
-+ echo "$as_me:7678: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s out/conftest2.$ac_objext
- then
- # The compiler can only warn and ignore the option if not recognized
-@@ -10030,7 +10022,7 @@
- lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
- lt_status=$lt_dlunknown
- cat > conftest.$ac_ext <<EOF
--#line 10033 "configure"
-+#line 10025 "configure"
- #include "confdefs.h"
-
- #if HAVE_DLFCN_H
-@@ -10130,7 +10122,7 @@
- lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
- lt_status=$lt_dlunknown
- cat > conftest.$ac_ext <<EOF
--#line 10133 "configure"
-+#line 10125 "configure"
- #include "confdefs.h"
-
- #if HAVE_DLFCN_H
-@@ -12550,11 +12542,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:12553: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:12545: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:12557: \$? = $ac_status" >&5
-+ echo "$as_me:12549: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -12654,11 +12646,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:12657: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:12649: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>out/conftest.err)
- ac_status=$?
- cat out/conftest.err >&5
-- echo "$as_me:12661: \$? = $ac_status" >&5
-+ echo "$as_me:12653: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s out/conftest2.$ac_objext
- then
- # The compiler can only warn and ignore the option if not recognized
-@@ -14218,11 +14210,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:14221: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:14213: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:14225: \$? = $ac_status" >&5
-+ echo "$as_me:14217: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -14322,11 +14314,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:14325: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:14317: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>out/conftest.err)
- ac_status=$?
- cat out/conftest.err >&5
-- echo "$as_me:14329: \$? = $ac_status" >&5
-+ echo "$as_me:14321: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s out/conftest2.$ac_objext
- then
- # The compiler can only warn and ignore the option if not recognized
-@@ -16511,11 +16503,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:16514: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:16506: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:16518: \$? = $ac_status" >&5
-+ echo "$as_me:16510: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -16801,11 +16793,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:16804: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:16796: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:16808: \$? = $ac_status" >&5
-+ echo "$as_me:16800: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -16905,11 +16897,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:16908: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:16900: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>out/conftest.err)
- ac_status=$?
- cat out/conftest.err >&5
-- echo "$as_me:16912: \$? = $ac_status" >&5
-+ echo "$as_me:16904: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s out/conftest2.$ac_objext
- then
- # The compiler can only warn and ignore the option if not recognized
-@@ -22377,6 +22369,148 @@
- fi
-
-
-+{ echo "$as_me:$LINENO: checking for CRYPTO_new_ex_data in -lcrypto" >&5
-+echo $ECHO_N "checking for CRYPTO_new_ex_data in -lcrypto... $ECHO_C" >&6; }
-+if test "${ac_cv_lib_crypto_CRYPTO_new_ex_data+set}" = set; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+ ac_check_lib_save_LIBS=$LIBS
-+LIBS="-lcrypto $LIBS"
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+
-+/* Override any GCC internal prototype to avoid an error.
-+ Use char because int might match the return type of a GCC
-+ builtin and then its argument prototype would still apply. */
-+#ifdef __cplusplus
-+extern "C"
-+#endif
-+char CRYPTO_new_ex_data ();
-+int
-+main ()
-+{
-+return CRYPTO_new_ex_data ();
-+ ;
-+ return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext conftest$ac_exeext
-+if { (ac_try="$ac_link"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_link") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest$ac_exeext &&
-+ $as_test_x conftest$ac_exeext; then
-+ ac_cv_lib_crypto_CRYPTO_new_ex_data=yes
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ ac_cv_lib_crypto_CRYPTO_new_ex_data=no
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-+ conftest$ac_exeext conftest.$ac_ext
-+LIBS=$ac_check_lib_save_LIBS
-+fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_lib_crypto_CRYPTO_new_ex_data" >&5
-+echo "${ECHO_T}$ac_cv_lib_crypto_CRYPTO_new_ex_data" >&6; }
-+if test $ac_cv_lib_crypto_CRYPTO_new_ex_data = yes; then
-+ cat >>confdefs.h <<_ACEOF
-+#define HAVE_LIBCRYPTO 1
-+_ACEOF
-+
-+ LIBS="-lcrypto $LIBS"
-+
-+fi
-+
-+
-+{ echo "$as_me:$LINENO: checking for SSL_library_init in -lssl" >&5
-+echo $ECHO_N "checking for SSL_library_init in -lssl... $ECHO_C" >&6; }
-+if test "${ac_cv_lib_ssl_SSL_library_init+set}" = set; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+ ac_check_lib_save_LIBS=$LIBS
-+LIBS="-lssl $LIBS"
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+
-+/* Override any GCC internal prototype to avoid an error.
-+ Use char because int might match the return type of a GCC
-+ builtin and then its argument prototype would still apply. */
-+#ifdef __cplusplus
-+extern "C"
-+#endif
-+char SSL_library_init ();
-+int
-+main ()
-+{
-+return SSL_library_init ();
-+ ;
-+ return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext conftest$ac_exeext
-+if { (ac_try="$ac_link"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_link") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest$ac_exeext &&
-+ $as_test_x conftest$ac_exeext; then
-+ ac_cv_lib_ssl_SSL_library_init=yes
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ ac_cv_lib_ssl_SSL_library_init=no
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-+ conftest$ac_exeext conftest.$ac_ext
-+LIBS=$ac_check_lib_save_LIBS
-+fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_SSL_library_init" >&5
-+echo "${ECHO_T}$ac_cv_lib_ssl_SSL_library_init" >&6; }
-+if test $ac_cv_lib_ssl_SSL_library_init = yes; then
-+ cat >>confdefs.h <<_ACEOF
-+#define HAVE_LIBSSL 1
-+_ACEOF
-+
-+ LIBS="-lssl $LIBS"
-+
-+fi
-+
-+
-
- if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
- if test -n "$ac_tool_prefix"; then
-@@ -22498,117 +22632,6 @@
- fi
-
- pkg_failed=no
--{ echo "$as_me:$LINENO: checking for OPENSSL" >&5
--echo $ECHO_N "checking for OPENSSL... $ECHO_C" >&6; }
--
--if test -n "$PKG_CONFIG"; then
-- if test -n "$OPENSSL_CFLAGS"; then
-- pkg_cv_OPENSSL_CFLAGS="$OPENSSL_CFLAGS"
-- else
-- if test -n "$PKG_CONFIG" && \
-- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"openssl >= \$OPENSSL_MINIMUM\"") >&5
-- ($PKG_CONFIG --exists --print-errors "openssl >= $OPENSSL_MINIMUM") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; then
-- pkg_cv_OPENSSL_CFLAGS=`$PKG_CONFIG --cflags "openssl >= $OPENSSL_MINIMUM" 2>/dev/null`
--else
-- pkg_failed=yes
--fi
-- fi
--else
-- pkg_failed=untried
--fi
--if test -n "$PKG_CONFIG"; then
-- if test -n "$OPENSSL_LIBS"; then
-- pkg_cv_OPENSSL_LIBS="$OPENSSL_LIBS"
-- else
-- if test -n "$PKG_CONFIG" && \
-- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"openssl >= \$OPENSSL_MINIMUM\"") >&5
-- ($PKG_CONFIG --exists --print-errors "openssl >= $OPENSSL_MINIMUM") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; then
-- pkg_cv_OPENSSL_LIBS=`$PKG_CONFIG --libs "openssl >= $OPENSSL_MINIMUM" 2>/dev/null`
--else
-- pkg_failed=yes
--fi
-- fi
--else
-- pkg_failed=untried
--fi
--
--
--
--if test $pkg_failed = yes; then
--
--if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-- _pkg_short_errors_supported=yes
--else
-- _pkg_short_errors_supported=no
--fi
-- if test $_pkg_short_errors_supported = yes; then
-- OPENSSL_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "openssl >= $OPENSSL_MINIMUM"`
-- else
-- OPENSSL_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "openssl >= $OPENSSL_MINIMUM"`
-- fi
-- # Put the nasty error message in config.log where it belongs
-- echo "$OPENSSL_PKG_ERRORS" >&5
--
-- { { echo "$as_me:$LINENO: error: Package requirements (openssl >= $OPENSSL_MINIMUM) were not met:
--
--$OPENSSL_PKG_ERRORS
--
--Consider adjusting the PKG_CONFIG_PATH environment variable if you
--installed software in a non-standard prefix.
--
--Alternatively, you may set the environment variables OPENSSL_CFLAGS
--and OPENSSL_LIBS to avoid the need to call pkg-config.
--See the pkg-config man page for more details.
--" >&5
--echo "$as_me: error: Package requirements (openssl >= $OPENSSL_MINIMUM) were not met:
--
--$OPENSSL_PKG_ERRORS
--
--Consider adjusting the PKG_CONFIG_PATH environment variable if you
--installed software in a non-standard prefix.
--
--Alternatively, you may set the environment variables OPENSSL_CFLAGS
--and OPENSSL_LIBS to avoid the need to call pkg-config.
--See the pkg-config man page for more details.
--" >&2;}
-- { (exit 1); exit 1; }; }
--elif test $pkg_failed = untried; then
-- { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
--is in your PATH or set the PKG_CONFIG environment variable to the full
--path to pkg-config.
--
--Alternatively, you may set the environment variables OPENSSL_CFLAGS
--and OPENSSL_LIBS to avoid the need to call pkg-config.
--See the pkg-config man page for more details.
--
--To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
--See \`config.log' for more details." >&5
--echo "$as_me: error: The pkg-config script could not be found or is too old. Make sure it
--is in your PATH or set the PKG_CONFIG environment variable to the full
--path to pkg-config.
--
--Alternatively, you may set the environment variables OPENSSL_CFLAGS
--and OPENSSL_LIBS to avoid the need to call pkg-config.
--See the pkg-config man page for more details.
--
--To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- OPENSSL_CFLAGS=$pkg_cv_OPENSSL_CFLAGS
-- OPENSSL_LIBS=$pkg_cv_OPENSSL_LIBS
-- { echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6; }
-- :
--fi
--
--pkg_failed=no
- { echo "$as_me:$LINENO: checking for LIBCURL" >&5
- echo $ECHO_N "checking for LIBCURL... $ECHO_C" >&6; }
-
-@@ -27105,8 +27128,6 @@
- PTHREAD_LIBS!$PTHREAD_LIBS$ac_delim
- PTHREAD_CFLAGS!$PTHREAD_CFLAGS$ac_delim
- PKG_CONFIG!$PKG_CONFIG$ac_delim
--OPENSSL_CFLAGS!$OPENSSL_CFLAGS$ac_delim
--OPENSSL_LIBS!$OPENSSL_LIBS$ac_delim
- LIBCURL_CFLAGS!$LIBCURL_CFLAGS$ac_delim
- LIBCURL_LIBS!$LIBCURL_LIBS$ac_delim
- subdirs!$subdirs$ac_delim
-@@ -27183,6 +27204,8 @@
- BUILD_CLI_TRUE!$BUILD_CLI_TRUE$ac_delim
- BUILD_CLI_FALSE!$BUILD_CLI_FALSE$ac_delim
- BUILD_DARWIN_TRUE!$BUILD_DARWIN_TRUE$ac_delim
-+BUILD_DARWIN_FALSE!$BUILD_DARWIN_FALSE$ac_delim
-+BUILD_DAEMON_TRUE!$BUILD_DAEMON_TRUE$ac_delim
- _ACEOF
-
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
-@@ -27224,14 +27247,12 @@
- ac_delim='%!_!# '
- for ac_last_try in false false false false false :; do
- cat >conf$$subs.sed <<_ACEOF
--BUILD_DARWIN_FALSE!$BUILD_DARWIN_FALSE$ac_delim
--BUILD_DAEMON_TRUE!$BUILD_DAEMON_TRUE$ac_delim
- BUILD_DAEMON_FALSE!$BUILD_DAEMON_FALSE$ac_delim
- LIBOBJS!$LIBOBJS$ac_delim
- LTLIBOBJS!$LTLIBOBJS$ac_delim
- _ACEOF
-
-- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 5; then
-+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 3; then
- break
- elif $ac_last_try; then
- { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff --git a/net-p2p/transmission/pkg-descr b/net-p2p/transmission/pkg-descr
index ff7f8f48e0a3..fd7d0a09875d 100644
--- a/net-p2p/transmission/pkg-descr
+++ b/net-p2p/transmission/pkg-descr
@@ -1,9 +1,7 @@
-Transmission is a free, lightweight BitTorrent client. It features a
-simple, intuitive interface on top on an efficient, cross-platform
-back-end.
-
-Transmission is open source (MIT license) and runs on Mac OS X (Cocoa
-interface), Linux/NetBSD/FreeBSD/OpenBSD (GTK+ interface) and BeOS
-(native interface).
+Transmission has been built from the ground up to be a lightweight, yet
+powerful BitTorrent client. Its simple, intuitive interface is designed
+to integrate tightly with whatever computing environment you choose to
+use. Transmission strikes a balance between providing useful functionality
+without feature bloat. Furthermore, it is free for anyone to use or modify.
WWW: http://www.transmissionbt.com/
diff --git a/net-p2p/transmission/pkg-plist b/net-p2p/transmission/pkg-plist
deleted file mode 100644
index 81dfef200185..000000000000
--- a/net-p2p/transmission/pkg-plist
+++ /dev/null
@@ -1,6 +0,0 @@
-bin/transmissioncli
-%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/LICENSE
-%%PORTDOCS%%%%DOCSDIR%%/NEWS
-%%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
diff --git a/www/Makefile b/www/Makefile
index 9e8ef3fecb90..c429ec774dfa 100644
--- a/www/Makefile
+++ b/www/Makefile
@@ -1359,6 +1359,7 @@
SUBDIR += trac-wikitemplates
SUBDIR += trac-wysiwyg
SUBDIR += trac-xmlrpc
+ SUBDIR += transmission-www
SUBDIR += transproxy
SUBDIR += twhttpd
SUBDIR += twig
diff --git a/www/transmission-web/Makefile b/www/transmission-web/Makefile
new file mode 100644
index 000000000000..40144c04d255
--- /dev/null
+++ b/www/transmission-web/Makefile
@@ -0,0 +1,22 @@
+# New ports collection makefile for: transmission-web
+# Date created: 14 July 2008
+# Whom: Mezz <mezz@FreeBSD.org>
+#
+# $FreeBSD$
+#
+
+PORTREVISION= 0
+CATEGORIES= www net-p2p
+PKGNAMESUFFIX= -web
+
+MAINTAINER= mezz@FreeBSD.org
+COMMENT= A fast and lightweight WebUI for Transmission BitTorrent client
+
+DESCR= ${.CURDIR}/pkg-descr
+MASTERDIR= ${.CURDIR}/../../net-p2p/transmission-cli
+PLIST= ${.CURDIR}/pkg-plist
+SLAVEPORT= web
+
+NO_BUILD= yes
+
+.include "${MASTERDIR}/Makefile"
diff --git a/www/transmission-web/pkg-descr b/www/transmission-web/pkg-descr
new file mode 100644
index 000000000000..5c3661bbedf9
--- /dev/null
+++ b/www/transmission-web/pkg-descr
@@ -0,0 +1,16 @@
+Transmission Web Interface (Clutch) is a WebUI for the Transmission BitTorrent
+client. It allows you to manage your torrents from anywhere you can access the
+internet, and runs on OS X and various flavors of *nix. It provides most of
+the basic features of the desktop client, including torrent upload, torrent
+start/stop, file path selection, speed limiting etc.
+
+Transmission has been built from the ground up to be a lightweight, yet
+powerful BitTorrent client. Its simple, intuitive interface is designed
+to integrate tightly with whatever computing environment you choose to
+use. Transmission strikes a balance between providing useful functionality
+without feature bloat. Furthermore, it is free for anyone to use or modify.
+
+You will need to install either transmission-daemon, transmission-gtk2 or
+both to use WebUI.
+
+WWW: http://www.transmissionbt.com/
diff --git a/www/transmission-web/pkg-plist b/www/transmission-web/pkg-plist
new file mode 100644
index 000000000000..115bad4de10b
--- /dev/null
+++ b/www/transmission-web/pkg-plist
@@ -0,0 +1,46 @@
+%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/NEWS
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%DATADIR%%/web/LICENSE
+%%DATADIR%%/web/images/buttons/info_activity.png
+%%DATADIR%%/web/images/buttons/info_general.png
+%%DATADIR%%/web/images/buttons/tab_backgrounds.png
+%%DATADIR%%/web/images/buttons/toolbar_buttons.png
+%%DATADIR%%/web/images/buttons/torrent_buttons.png
+%%DATADIR%%/web/images/favicon.ico
+%%DATADIR%%/web/images/graphics/browser_firefox.gif
+%%DATADIR%%/web/images/graphics/browser_opera.gif
+%%DATADIR%%/web/images/graphics/browser_safari.gif
+%%DATADIR%%/web/images/graphics/chrome.png
+%%DATADIR%%/web/images/graphics/filter_bar.png
+%%DATADIR%%/web/images/graphics/iphone_chrome.png
+%%DATADIR%%/web/images/graphics/logo.png
+%%DATADIR%%/web/images/graphics/transfer_arrows.png
+%%DATADIR%%/web/images/progress/progress.png
+%%DATADIR%%/web/images/webclip-icon.png
+%%DATADIR%%/web/index.html
+%%DATADIR%%/web/javascript/common.js
+%%DATADIR%%/web/javascript/dialog.js
+%%DATADIR%%/web/javascript/jquery/jquery-dimensions.min.js
+%%DATADIR%%/web/javascript/jquery/jquery.contextmenu.min.js
+%%DATADIR%%/web/javascript/jquery/jquery.form.min.js
+%%DATADIR%%/web/javascript/jquery/jquery.min.js
+%%DATADIR%%/web/javascript/jquery/jquery.transmenu.min.js
+%%DATADIR%%/web/javascript/jquery/json.min.js
+%%DATADIR%%/web/javascript/menu.js
+%%DATADIR%%/web/javascript/torrent.js
+%%DATADIR%%/web/javascript/transmission.js
+%%DATADIR%%/web/javascript/transmission.remote.js
+%%DATADIR%%/web/stylesheets/common.css
+%%DATADIR%%/web/stylesheets/iphone.css
+@dirrm %%DATADIR%%/web/stylesheets
+@dirrm %%DATADIR%%/web/javascript/jquery
+@dirrm %%DATADIR%%/web/javascript
+@dirrm %%DATADIR%%/web/images/progress
+@dirrm %%DATADIR%%/web/images/graphics
+@dirrm %%DATADIR%%/web/images/buttons
+@dirrm %%DATADIR%%/web/images
+@dirrm %%DATADIR%%/web
+@dirrm %%DATADIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%